#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_RCFL_Microdati_2016_Primo_trimestre_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_RCFL_A2016<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
DF_RCFL_A2016$COEF = DF_RCFL_A2016$COEF / 10
attr(DF_RCFL_A2016, "label") <- c(
"anno",
"trimestre",
"regione",
"Codice provincia",
"Wave quartina in corso",
"codice grandi comuni",
"Le chieder prima alcune informazioni sulla sua famiglia. Quante persone vivono abitualmente in questa casa, compreso lei? Escluda eventuali collaboratori domestici o affittuari. (*)",
"Indicare il sesso di NOME",
"NOME  nato in Italia o all'estero?",
"NOME ha la cittadinanza italiana?",
"In quale anno NOME  venuto/a a vivere in Italia la prima volta?",
"Si ricorda in quale mese?",
"Da quel momento NOME ha sempre vissuto in Italia? Non tenga conto di viaggi, vacanze fuori dall'Italia di durata inferiore ad un anno",
"Da che anno NOME vive in Italia senza allontanarsi per un anno o pi?",
"Si ricorda in quale mese?",
"A quale di questi diplomi fa riferimento?",
"Ha conseguito un titolo di studio post-laurea, post-diploma accademico AFAM o dottorato di ricerca?",
"Mi pu dire quale TITOLO DI STUDIO? (*)",
"Si ricorda l'anno in cui ha conseguito TITOLO DI STUDIO?",
"Si ricorda l'et in cui ha conseguito TITOLO DI STUDIO?",
"Si ricorda il mese in cui lo ha conseguito?",
"LA SCORSA SETTIMANA NOME ha svolto almeno un'ora di lavoro? Consideri il lavoro da cui ha ricavato o ricaver un guadagno o il lavoro non pagato solo se effettuato abitualmente presso la ditta di un f",
"Sempre nella settimana che va DA LUNEDI' ... A DOMENICA... NOME aveva comunque un lavoro che non ha svolto, ad esempio: per un periodo limitato di ridotta attivit, per malattia, per vacanza, per cass",
"Qual  il motivo principale per cui non ha lavorato in quella settimana?",
"In quella settimana aveva un contratto o un accordo di lavoro? (*)",
"NOME svolge:",
"NOME  assunto/a con un contratto di lavoro alle dipendenze? (*)",
"Il contratto di collaborazione coordinata e continuativa (con o senza progetto) prevede l'obbligo per il datore di lavoro di versare i contributi previdenziali presso l'INPS. Per questo lavoro a NOME ",
"Questo periodo di assenza dal lavoro durer meno o pi di tre mesi, da quando  iniziato a quando terminer?",
"Questo periodo di assenza  retribuito almeno in parte?",
"Si tratta di un periodo di aspettativa?",
"Come coadiuvante familiare percepisce una retribuzione?",
"Nella settimana che va DA LUNEDI' ... A DOMENICA ... il contratto era in vigore, cio la data di scadenza era successiva a LUNEDI'?",
"La sua attivit lavorativa  momentaneamente sospesa (ad esempio, per aggiornamento professionale, per ristrutturazione locali, per chiusura stagionale) o  definitivamente conclusa?",
"NOME svolge:",
"Il contratto di collaborazione coordinata e continuativa prevede l'obbligo per il datore di lavoro di versare i contributi previdenziali presso l'INPS. Per questo lavoro a NOME vengono versati i contr",
"NOME  assunto/a con un contratto di lavoro alle dipendenze? (*)",
"Il contratto  finalizzato alla realizzazione di un progetto, si tratta cio di un lavoro a progetto?",
"Il proprietario dell'azienda familiare  uno dei componenti che vivono in questa famiglia?",
"Ha dei dipendenti? Se l'aiutano dei familiari o altre persone senza essere pagati non li consideri",
"NOME lavora per una sola azienda e/o cliente o per pi di una azienda e/o cliente?",
"Abitualmente NOME decide dove lavorare o  tenuto/a a lavorare presso l'azienda e/o il cliente? (*)",
"Decide autonomamente l'orario di lavoro o  tenuto a rispettare quello dell'azienda e/o del cliente per cui lavora? (*)",
"NOME :",
"NOME ha l'incarico di coordinare il lavoro svolto da altre persone?",
"L'Ente, l'Azienda in cui NOME lavora ha una o pi sedi (o stabilimenti)?",
"Codice a 4 digit ATECO 2007 della tabella Ateco",
"Quante persone lavorano nella sede in cui NOME lavora? Conti anche se stesso e tutti gli altri lavoratori con qualsiasi mansione e qualifica",
"Mi pu dire esattamente il numero di persone?",
"NOME ha un contratto a termine (a tempo determinato) o un contratto a tempo indeterminato (senza una scadenza)? (*)",
"Qual  la durata complessiva in mesi dell'attuale contratto? (*)",
"Il lavoro  a termine perch si tratta di:",
"Il suo contratto rientra in una di queste tipologie?",
"NOME  un/una lavoratore/trice interinale, cio ha un contratto con un'agenzia interinale ma lavora in un'altra impresa?",
"Per questo lavoro, NOME  retribuito/a dall'impresa presso la quale lavora o dall'agenzia di lavoro interinale?",
"NOME lavora presso la sede dell'agenzia di lavoro interinale (ad esempio come contabile, amministrativo, responsabile del personale, ecc)?",
"NOME ha accettato un lavoro a tempo determinato perch non vuole un lavoro stabile o perch non ha trovato un lavoro a tempo indeterminato?",
"NOME ha un contratto a tempo pieno o un contratto part-time (a tempo parziale)? (*)",
"NOME ogni giorno lavora meno dell'orario a tempo pieno, oppure lavora a tempo pieno solo alcuni giorni a settimana, solo alcune settimane al mese, solo alcuni mesi dell'anno, oppure ha un'altra forma ",
"Lavora part-time (a tempo parziale) perch non vuole un lavoro a tempo pieno, non ha trovato un lavoro a tempo pieno o per altri motivi?",
"Per quale tra questi motivi lavora part-time (a tempo parziale?",
"NOME non lavora pi ore (cio lavora part-time) perch nella zona in cui vive i servizi pubblici e/o privati, cui affidare la cura di bambini o di altre persone bisognose di assistenza, sono assenti, ",
"Escludendo l'interruzione per i pasti e gli spostamenti casa-lavoro, NOME di solito quante ore lavora a settimana? (*)",
"Considerando le ultime 4 settimane, escludendo l'interruzione per i pasti e gli spostamenti casa-lavoro, NOME mediamente quante ore ha lavorato a settimana?",
"LA SETTIMANA SCORSA , cio DA LUNEDI' ... A DOMENICA ... NOME ha lavorato meno ore o pi ore del solito? (*)",
"NOME principalmente ha lavorato pi del solito perch ha svolto: (*)",
"Qual  il motivo principale per cui NOME ha lavorato meno del solito?",
"Rispetto all'orario contrattuale (o all'accordo verbale) LA SETTIMANA SCORSA, DA LUNEDI' ... A DOMENICA ..., NOME ha svolto comunque ore di straordinario retribuito e/o straordinario non retribuito (o",
"Rispetto all'orario contrattuale (o all'accordo verbale) quante ore di straordinario retribuito e/o non retribuito ha fatto?",
"Quante ore di straordinario le verranno retribuite?",
"Complessivamente nella settimana che va DA LUNEDI' ... A DOMENICA ... NOME quante ore ha lavorato?",
"Nella settimana DA LUNEDI' ... A DOMENICA ..., NOME avrebbe voluto lavorare un numero di ore diverso da quelle che ha svolto? Se svolge pi di un lavoro consideri l'orario complessivo",
"Complessivamente nella settimana che va DA LUNEDI' ... A DOMENICA ... quante ore avrebbe voluto lavorare? Se svolge pi di un lavoro consideri l'orario complessivo",
"Nella settimana DA LUNEDI' ... A DOMENICA ..., NOME  in quale dei seguenti modi avrebbe voluto lavorare pi ore?",
"Nella settimana DA LUNEDI' ... A DOMENICA ... o entro le due settimane successive sarebbe stato/a disponibile a lavorare pi ore?",
"Per quale motivo non avrebbe potuto?",
"Nelle 4 settimane DAL ... AL ... NOME ha lavorato di sera? (dalle ore 20 alle 23 circa)",
"Nelle 4 settimane DAL ... AL ... NOME ha lavorato di notte? (dopo le ore 23)",
"Nelle 4 settimane DAL ... AL ... NOME ha lavorato di sabato (indipendentemente dall'orario)?",
"Nelle 4 settimane DAL ... AL ... NOME ha lavorato di domenica (indipendentemente  dall'orario)?",
"Per il tipo di lavoro svolto da NOME  prevista una organizzazione a turni, cio si alternano pi lavoratori in particolari orari o giorni della settimana?",
"Nelle 4 settimane DAL ... AL ... NOME ha svolto turni di lavoro?",
"Per accordo con il datore di lavoro, nelle 4 settimane DAL ... AL ... NOME ha effettuato a casa ore di lavoro retribuite o che possono essere recuperate? (*)",
"Per iniziare questo lavoro NOME ha dovuto trasferire il suo domicilio/abitazione da un altro Comune?",
"NOME in che anno ha cominciato a lavorare per il datore di lavoro attuale? (*)",
"Si ricorda l'et in cui lo ha iniziato?",
"Si ricorda il mese?",
"Ha trovato questo lavoro tramite un Centro pubblico per l'impiego, cio l'ex ufficio di collocamento?",
"NOME come ha trovato questo lavoro?",
"Questo  il suo primo lavoro?",
"In che anno NOME ha iniziato il suo primo lavoro?",
"Si ricorda l'eta' in cui ha iniziato a lavorare?",
" NOME quanto  soddisfatto/a del suo lavoro attuale? Indichi un punteggio da 0 a 10, dove 0 indica   per niente soddisfatto   e 10   completamente soddisfatto   ",
"NOME quanto  soddisfatto/a del guadagno?",
"NOME quanto  soddisfatto/a del clima e delle relazioni di lavoro (colleghi, clienti, superiori, utenti, dipendenti, ecc.)?",
"Nel lavoro attuale NOME quanto  soddisfatto/a delle opportunit di carriera passate e future? (*)",
"NOME quanto  soddisfatto/a del numero di ore lavorate?",
"NOME quanto  soddisfatto/a della stabilit del lavoro?",
"NOME quanto  soddisfatto/a del tipo di attivit svolta?",
"NOME quanto  soddisfatto/a della distanza e dei tempi di percorrenza casa-lavoro?",
"NOME quanto ritiene interessante il lavoro che fa? Dia un punteggio da 0 a 10, dove 0 indica per niente interessante e 10 totalmente interessante.",
"NOME ritiene probabile perdere l'attuale lavoro/cessare l'attivit nei prossimi sei mesi?",
"E NOME ritiene facile trovare/avviare un lavoro simile a quello che ora sta svolgendo?",
"Oltre al lavoro di cui abbiamo parlato finora, LA SETTIMANA SCORSA, cio DA LUNEDI' ... A DOMENICA ..., NOME aveva anche altri lavori? Consideri qualsiasi lavoro (ad esempio, lezioni private, lavori s",
"LA SETTIMANA SCORSA, DA LUNEDI ... A DOMENICA ..., NOME quante ore ha dedicato a questo secondo lavoro? (*)",
"NOME fa questo lavoro: (*)",
"NOME svolge:",
"NOME  assunto/a con un contratto di lavoro alle dipendenze? (*)",
"Il contratto  finalizzato alla realizzazione di un progetto, si tratta cio di un lavoro a progetto?",
"Il contratto di collaborazione coordinata e continuativa (con o senza progetto) prevede l'obbligo per il datore di lavoro di versare i contributi previdenziali presso l'INPS. Per questo lavoro a NOME ",
"Ha dei dipendenti? Se l'aiutano dei familiari o altre persone senza essere pagati non li consideri",
"Codice a 4 digit ATECO 2007 della tabella Ateco",
"Nel corso della sua vita, NOME ha mai svolto un lavoro? Consideri il lavoro da cui ha ricevuto un guadagno o il lavoro non pagato solo se effettuato presso l'azienda di un familiare",
"In che anno ha smesso di lavorare? (*)",
"Quanti anni aveva?",
"In che mese?",
"NOME svolgeva:",
"NOME era assunto/a con un contratto di lavoro alle dipendenze? (*)",
"Aveva dei dipendenti? Se l'aiutavano dei familiari o altre persone senza essere pagati, non li consideri",
"Codice a 4 digit ATECO 2007 della tabella Ateco",
"Qual  il motivo principale per cui NOME ha smesso di lavorare?",
"Qual  il motivo principale per cui NOME ha concluso la sua attivit lavorativa?",
"NOME cerca un altro lavoro?",
"Sta cercando un nuovo lavoro o un secondo lavoro (da aggiungere a quello attuale)?",
"Qual  il motivo principale per cui NOME cerca un altro lavoro?",
"Nel nuovo lavoro vorrebbe lavorare pi o meno ore rispetto a quelle lavorate attualmente?",
"Nelle 4 settimane DAL ... AL ... ha fatto qualcosa per cercare lavoro?",
"Ha avuto contatti con un Centro pubblico per l'impiego (ex Ufficio di collocamento) per cercare lavoro",
"Ha sostenuto un colloquio di lavoro, una selezione presso privati",
"Ha sostenuto prove scritte e/o orali di un concorso pubblico",
"Ha inviato una domanda per partecipare ad un concorso pubblico",
"Ha esaminato offerte di lavoro sui giornali",
"Ha messo inserzioni sui giornali o ha risposto ad annunci",
"Ha fatto domande di lavoro e/o inviato (o consegnato) curriculum a privati",
"Ha chiesto a parenti, amici, conoscenti, sindacati",
"Ha cercato lavoro su Internet",
"Ha avuto contatti con una agenzia interinale o con una struttura di intermediazione diversa da un Centro pubblico per l'impiego per cercare lavoro",
"Ha cercato terreni, locali, attrezzature per avviare una attivit autonoma",
"Ha chiesto permessi, licenze, finanziamenti per avviare una attivit",
"Altra azione (specificare)",
"Collegandosi al sito web di un Centro pubblico per  l'impiego (ex Ufficio di collocamento)",
"Esaminando offerte di lavoro",
"Mettendo inserzioni o rispondendo ad annunci",
"Altro (specificare)",
"NOME cerca un lavoro?",
"Nelle 4 settimane DAL ... AL ... ha fatto qualcosa per cercare lavoro?",
"Quanti mesi sono passati dall'ultima volta che ha fatto qualcosa per cercare lavoro?",
"Qual  il motivo principale per cui NOME non ha cercato un lavoro nelle 4 settimane DAL ... AL ...",
"NOME non ha cercato lavoro perch nella zona in cui vive i servizi pubblici e/o privati, cui affidare la cura di bambini o di altre persone bisognose di assistenza, sono assenti, inadeguati o troppo c",
"Anche se al momento non sta cercando lavoro, NOME vorrebbe comunque lavorare? (*)",
"Se NOME avesse trovato lavoro nella settimana DA LUNEDI' ... A DOMENICA ... avrebbe potuto iniziare in quella settimana o entro le due settimane successive?",
"Per quale motivo non avrebbe potuto iniziare a lavorare?",
"Ha intenzione di cercare lavoro nei prossimi 12 mesi?",
"Nelle 4 settimane DAL ... AL ... NOME ha avuto contatti con un Centro pubblico per l'Impiego (ex Ufficio di collocamento) per cercare lavoro?",
"Nelle 4 settimane DAL ... AL ... NOME ha sostenuto un colloquio di lavoro, una selezione presso privati?",
"Nelle 4 settimane DAL ... AL ... NOME ha sostenuto le prove scritte e/o orali di un concorso pubblico?",
"Nelle 4 settimane DAL ... AL ... NOME ha inviato una domanda per partecipare ad un concorso pubblico?",
"Nelle 4 settimane DAL ... AL ... NOME ha esaminato offerte di lavoro sui giornali?",
"Nelle 4 settimane DAL ... AL ... NOME ha messo inserzioni sui giornali o ha risposto ad annunci?",
"Nelle 4 settimane DAL ... AL ... NOME ha fatto domande di lavoro e/o ha inviato (o consegnato)  curriculum a privati?",
"Nelle 4 settimane DAL ... AL ... NOME si  rivolto/a a parenti, amici, conoscenti, sindacati per trovare lavoro?",
"Nelle 4 settimane DAL ... AL ... NOME ha cercato lavoro su Internet?",
"Collegandosi al sito web di un Centro pubblico per  l'impiego (ex Ufficio di collocamento)",
"Esaminando offerte di lavoro",
"Mettendo inserzioni o rispondendo ad annunci",
"Altro (specificare)",
"Nelle 4 settimane DAL ... AL ... NOME ha avuto contatti con una agenzia interinale o con una struttura di intermediazione diversa da un Centro pubblico per l'impiego per cercare lavoro?",
"Nelle 4 settimane DAL ... AL ... NOME ha cercato terreni, locali, attrezzature per avviare una attivit autonoma?",
"Nelle 4 settimane DAL ... AL ... NOME ha chiesto permessi, licenze, finanziamenti per avviare una attivit autonoma?",
"Nelle 4 settimane DAL ... AL ... NOME ha fatto altre azioni di ricerca di lavoro, non comprese tra quelle precedenti?",
"Si, in attesa di risultati di concorsi pubblici",
"Si, in attesa di risposte da aziende, da privati",
"Si, in attesa di una chiamata dal Centro per l'impiego",
"No",
"Non sa",
"NOME ha gi trovato un lavoro che deve iniziare?",
"Da quanti mesi NOME sta cercando lavoro?",
"NOME immediatamente prima di iniziare a cercare un lavoro:",
"Se NOME avesse trovato lavoro nella settimana DA LUNEDI' ... A DOMENICA ... avrebbe potuto iniziare in quella settimana o entro le due settimane successive?",
"Per quale motivo non avrebbe potuto iniziare a lavorare?",
"NOME  sta cercando un lavoro in proprio o come dipendente?",
"NOME  sta cercando un lavoro a tempo pieno o part-time (a tempo parziale)?",
"Se NOME non trovasse un lavoro a tempo pieno accetterebbe un lavoro part-time (a tempo parziale)?",
"Se NOME non trovasse un lavoro part-time (a tempo parziale) accetterebbe un lavoro a tempo pieno?",
"Sta cercando un lavoro a termine o a tempo indeterminato (senza una scadenza)?",
"Sarebbe disposto/a ad accettare un lavoro a termine (con una specifica durata)?",
"Sarebbe disposto/a a lavorare:",
"Per quanti mesi ha cercato lavoro prima di trovare questo che sta per iniziare?",
"Immediatamente prima di iniziare a cercare questo lavoro NOME:",
"NOME inizier questo lavoro entro il [DOMENICA+90gg]?",
"Se NOME avesse trovato lavoro nella settimana DA LUNEDI' ... A DOMENICA ... avrebbe potuto iniziare in quella settimana o entro le due settimane successive?",
"Per quale motivo non avrebbe potuto iniziare a lavorare?",
"Il lavoro che sta per iniziare  in proprio o alle dipendenze?",
"Lavorer a tempo pieno o part-time (a tempo parziale)?",
"Si tratta di un lavoro a termine (con una specifica durata)?",
"NOME  mai stato/a in contatto con un Centro pubblico per l'Impiego (ex Ufficio di collocamento)?",
"NOME si  rivolto/a ad un Centro pubblico per l'Impiego per cercare lavoro, per avvalersi di altri servizi (ad es. consulenza, orientamento al lavoro o formazione professionale) o per entrambi i motiv",
"Quando  stata l'ultima volta che NOME ha avuto contatti con un Centro pubblico per l'Impiego?",
"Primo contatto per informazioni",
"Effettuare per la prima volta la dichiarazione di disponibilit al lavoro",
"Rinnovare la dichiarazione di disponibilit al lavoro",
"Iscrizione",
"Confermare lo stato di disoccupazione",
"Verificare l'esistenza di opportunit di lavoro",
"Ha ricevuto un'offerta di lavoro",
"Ha ricevuto un'offerta di partecipazione ad un corso di formazione professionale organizzato e/o riconosciuto dalla Regione",
"Ha ricevuto un'offerta di partecipazione ad un altro tipo di corso di formazione professionale (non della Regione)",
"Ha ricevuto un'offerta di tirocinio",
"Compilare un test attitudinale",
"Consulenza o orientamento per trovare lavoro",
"Aggiornare la cartella personale",
"Altro (specificare)",
"Non sa",
"Nella settimana DA LUNEDI'  ... A DOMENICA ... NOME era iscritto al Centro per l'impiego, cio era ancora valida la sua dichiarazione di disponibilit al lavoro?",
"Quando ha fatto o rinnovato l'ultima volta la dichiarazione di disponibilit al lavoro?",
"S, con una agenzia di lavoro interinale",
"S, con un'altra struttura (pubblica o privata)",
"No",
"Non sa",
"S, da una agenzia di lavoro interinale",
"S, da un'altra struttura (pubblica o privata)",
"No",
"Non sa",
"Nella settimana DA LUNEDI'  ... A DOMENICA ... NOME aveva il sussidio di disoccupazione o  l'indennit di mobilit o, pur avendone maturato il diritto, era in attesa di riscuoterlo?",
"Nelle 4 settimane DAL ... AL ... NOME era iscritto/a ad un corso di istruzione scolastico, universitario, accademico? Includa anche l'iscrizione ai nuovi corsi IFP,IFTS, ITS",
"NOME si  iscritto/a ad un corso di istruzione scolastico, universitario, accademico, IFP, IFTS, ITS, successivamente a ULTIMO GIORNO SETTIMANA DI RIFERIMENTO? (*)",
"A quale di questi corsi fa riferimento?",
"A quale di questi corsi fa riferimento?",
"Mi pu dire pi esattamente a quale corso era iscritto/a o ha intenzione di iscriversi?",
"Nelle 4 settimane DAL  AL  ha partecipato a qualcuna di queste altre attivit formative?",
"DAL  AL  complessivamente quante ore ha dedicato a questa/e attivit formativa/e? Escluda gli spostamenti ed eventuali compiti a casa (*)",
"Di quale attivit formativa si tratta? (*)",
"Qual  l'argomento del corso/attivit cui ha partecipato?",
"NOME ha seguito questo/a corso/attivit prevalentemente:",
"Sempre nelle 4 settimane DAL  ... AL  ... NOME ha seguito questo/a corso/attivit durante l'orario di lavoro?",
"In passato NOME ha portato a termine un corso di formazione professionale riconosciuto dalla Regione e che ha rilasciato una qualifica professionale? (*)",
"Quanto durava questo corso?",
"Per frequentare questo corso era necessario un titolo di studio particolare?",
"Qual era l'argomento del corso?",
"In che anno ha concluso questo corso?",
"Si ricorda l'et?",
"Si ricorda il mese in cui lo ha concluso?",
"In conclusione, nella settimana DAL ... AL ...  NOME come si considerava:",
"A MESE INDAGINE del ANNO PRECEDENTE INDAGINE NOME era:",
"NOME svolgeva:",
"NOME era assunto/a con un contratto di lavoro alle dipendenze? (*)",
"NOME aveva dei dipendenti? Se l'aiutavano dei familiari o altre persone senza essere pagati non li consideri",
"Il suo lavoro era a termine (lavoro a tempo determinato), oppure non aveva una scadenze (lavoro a tempo indeterminato)?",
"Codice a 4 digit ATECO 2007 della tabella Ateco",
"A MESE INDAGINE del ANNO INDAGINE-1  NOME risiedeva a COMUNE?",
"E a MESE INDAGINE del ANNO INDAGINE-2  NOME risiedeva a COMUNE?",
"ripartizione geografica in 5 classi",
"ripartizione geografica in 3 classi",
"et in anni compiuti (con ricodifiche per MFR)",
"classi di et decennali",
"classi di et quinquennali",
"et in 17 classi",
"cittadinanza",
"stato estero di nascita (SG15)",
"cittadinanza (SG17)",
"dove lavora pi spesso (codifica stato estero) (C52)",
"residenza un anno prima (codifica stato estero) (I16)",
"condizione professionale a 3 modalit",
"condizione professionale a 10 modalit",
"posizione nella professione",
"dipendenti - indipendenti attivit principale",
"assente dal lavoro (classificato come occupato: Si - No)",
"posizione nella professione dettagliata",
"lavoro a tempo determinato o indeterminato",
"lavoro a tempo pieno/parziale (per gli occupati)",
"durata del lavoro attuale",
"inizio del lavoro attuale",
"ore complessivamente lavorate",
"professione a 1 digit attivit principale",
"professione attivit principale 3 digit",
"occupation",
"professione attivit principale 4 digit (con ricodifiche per MFR)",
"attivit economica principale 2 digit",
"ateco a 12 classi",
"ateco a 5 classi",
"ateco a 3 classi",
"lavoro fuori dal comune di residenza",
"codice regione dove lavora pi spesso (C51)",
"codice provincia dove lavora pi spesso",
"trasferimento per lavoro attuale",
"codice regione in cui abitava prima (C54)",
"codice provincia in cui abitava prima",
"retribuzione netta del mese scorso",
"monthly (take-home) pay from main job",
"posizione nella professione per il secondo lavoro",
"dipendenti - indipendenti attivit secondaria",
"professione attivit secondaria a 1 digit",
"professione attivit secondaria a 3 digit",
"professione secondaria 4 digit (con ricodifiche per MFR)",
"attivit economica secondaria 2 digit",
"ateco 12 classi per il secondo lavoro",
"ateco 5 classi per il secondo lavoro",
"ateco 3 classi per il secondo lavoro",
"posizione nella professione per le precedenti esperienze di lavoro",
"dipendenti - indipendenti precedenti esperienze di lavoro",
"professione precedente a 1 digit",
"professione precedenti esperienze di lavoro 3 digit",
"professione precedente esperienza di lavoro 4 digit (con ricodifiche per MFR)",
"attivit economica precedente  2 digit",
"ateco 12 classi per le precedenti esperienze di lavoro",
"ateco 5 classi per le precedenti esperienze di lavoro",
"ateco 3 classi per le precedenti esperienze di lavoro",
"posizione nella professione assenti",
"dipendenti - indipendenti assenti",
"posizione nella professione anno precedente",
"dipendenti - indipendenti anno precedente",
"attivit economica 2 digit anno precedente",
"ateco 12 classi anno precedente",
"ateco 5 classi anno precedente",
"ateco 3 classi anno precedente",
"residenza un anno prima",
"codice regione residenza anni precedenti",
"codice provincia residenza anno precedente",
"ha precedenti esperienze",
"durata della non occupazione",
"durata della ricerca",
"durata della disoccupazione",
"highest level of education or training successfully completed",
"coefficiente di riporto all'universo",
"stato civile (con ricodifiche per MFR)",
"relazione di parentela",
"anno di matrimonio",
"codice famiglia per MFR (ricodificato con metodo casuale)",
"codice identificativo dell'individuo all'interno della famiglia per MFR (ricodificato con metodo casuale)",
"numero nucleo 2",
"relazione di parentela nel nucleo 2",
"tipologia familiare (con ricodifiche per MFR)",
"tipo nucleo 2",
"titolo di studio a 10 modalit, di fatto una riaggregazione della SG24",
"titolo di studio a 6 modalit, di fatto una riaggregazione della SG24",
"Corso d'istruzione a 11 modalit",
"Student or apprentice in regular education during the last four weeks",
"Did you attend any courses, seminars, conferences or receive private lessons or instruction outside the regular education system (hereafter referred to as taught-learning activities) within the last f")

TRIM_Fact <- factor(DF_RCFL_A2016$TRIM, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Primo trimestre", 
"Secondo trimestre", 
"Terzo trimestre", 
"Quarto trimestre")) 


REG_Fact <- factor(DF_RCFL_A2016$REG, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Trentino alto Adige", 
"Veneto", 
"Friuli Venezia Giulia", 
"Liguria", 
"Emilia Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


CODPRO_Fact <- factor(DF_RCFL_A2016$CODPRO, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"041", 
"042", 
"043", 
"044", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"054", 
"055", 
"056", 
"057", 
"058", 
"059", 
"060", 
"061", 
"062", 
"063", 
"064", 
"065", 
"066", 
"067", 
"068", 
"069", 
"070", 
"071", 
"072", 
"073", 
"074", 
"075", 
"076", 
"077", 
"078", 
"079", 
"080", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"093", 
"094", 
"095", 
"096", 
"097", 
"098", 
"099", 
"100", 
"101", 
"102", 
"103", 
"104", 
"105", 
"106", 
"107", 
"108", 
"109", 
"110"), 
labels=c("TORINO", 
"VERCELLI", 
"NOVARA", 
"CUNEO", 
"ASTI", 
"ALESSANDRIA", 
"AOSTA", 
"IMPERIA", 
"SAVONA", 
"GENOVA", 
"LA SPEZIA", 
"VARESE", 
"COMO", 
"SONDRIO", 
"MILANO", 
"BERGAMO", 
"BRESCIA", 
"PAVIA", 
"CREMONA", 
"MANTOVA", 
"BOLZANO", 
"TRENTO", 
"VERONA", 
"VICENZA", 
"BELLUNO", 
"TREVISO", 
"VENEZIA", 
"PADOVA", 
"ROVIGO", 
"UDINE", 
"GORIZIA", 
"TRIESTE", 
"PIACENZA", 
"PARMA", 
"REGGIO NELL'EMILIA", 
"MODENA", 
"BOLOGNA", 
"FERRARA", 
"RAVENNA", 
"FORLI' - CESENA", 
"PESARO E URBINO", 
"ANCONA", 
"MACERATA", 
"ASCOLI PICENO", 
"MASSA", 
"LUCCA", 
"PISTOIA", 
"FIRENZE", 
"LIVORNO", 
"PISA", 
"AREZZO", 
"SIENA", 
"GROSSETO", 
"PERUGIA", 
"TERNI", 
"VITERBO", 
"RIETI", 
"ROMA", 
"LATINA", 
"FROSINONE", 
"CASERTA", 
"BENEVENTO", 
"NAPOLI", 
"AVELLINO", 
"SALERNO", 
"L'AQUILA", 
"TERAMO", 
"PESCARA", 
"CHIETI", 
"CAMPOBASSO", 
"FOGGIA", 
"BARI", 
"TARANTO", 
"BRINDISI", 
"LECCE", 
"POTENZA", 
"MATERA", 
"COSENZA", 
"CATANZARO", 
"REGGIO DI CALABRIA", 
"TRAPANI", 
"PALERMO", 
"MESSINA", 
"AGRIGENTO", 
"CALTANISSETTA", 
"ENNA", 
"CATANIA", 
"RAGUSA", 
"SIRACUSA", 
"SASSARI", 
"NUORO", 
"CAGLIARI", 
"PORDENONE", 
"ISERNIA", 
"ORISTANO", 
"BIELLA", 
"LECCO", 
"LODI", 
"RIMINI", 
"PRATO", 
"CROTONE", 
"VIBO VALENTIA", 
"VERBANO-CUSIO-OSSOLA", 
"OLBIA-TEMPIO", 
"OGLIASTRA", 
"MEDIO-CAMPIDANO", 
"CARBONIA-IGLESIAS", 
"MONZA E BRIANZA", 
"FERMO", 
"BARLETTA-ANDRIA-TRANI")) 


WAVQUA_Fact <- factor(DF_RCFL_A2016$WAVQUA, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("wave quartina in corso 1", 
"wave quartina in corso 2", 
"wave quartina in corso 3", 
"wave quartina in corso 4")) 


GRACOM_Fact <- factor(DF_RCFL_A2016$GRACOM, 
levels=c("001272", 
"010025", 
"015146", 
"023091", 
"027042", 
"037006", 
"048017", 
"058091", 
"063049", 
"072006", 
"082053", 
"083048", 
"087015"), 
labels=c("TORINO", 
"GENOVA", 
"MILANO", 
"VERONA", 
"VENEZIA", 
"BOLOGNA", 
"FIRENZE", 
"ROMA", 
"NAPOLI", 
"BARI", 
"PALERMO", 
"MESSINA", 
"CATANIA")) 


SG11_Fact <- factor(DF_RCFL_A2016$SG11, 
levels=c("1", 
"2"), 
labels=c("Maschio", 
"Femmina")) 


SG13_Fact <- factor(DF_RCFL_A2016$SG13, 
levels=c("1", 
"2"), 
labels=c("In Italia", 
"All'estero")) 


SG16_Fact <- factor(DF_RCFL_A2016$SG16, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


SG24A_Fact <- factor(DF_RCFL_A2016$SG24A, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("Diploma (vecchio ordinamento)", 
"Diploma accademico di alta formazione artistica, musicale e coreutica di I livello", 
"Diploma accademico di alta formazione artistica, musicale e coreutica di II livello", 
"Non sa")) 


SG24B_Fact <- factor(DF_RCFL_A2016$SG24B, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Master universitario di I livello/ Diploma accademico  di perfezionamento o Master di I livello/Diploma accademico di specializzazione di I livello", 
"Master universitario di II livello/ Diploma accademico di perfezionamento o Master di II livello/Diploma accademico di specializzazione di II livello", 
"Diploma di specializzazione universitaria", 
"Dottorato di ricerca/Diploma accademico di formazione alla ricerca AFAM", 
"Nessuno di questi")) 


B1_Fact <- factor(DF_RCFL_A2016$B1, 
levels=c("1", 
"2", 
"3"), 
labels=c("Si", 
"No", 
"Permanentemente inabile al lavoro")) 


B2_Fact <- factor(DF_RCFL_A2016$B2, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


B3_Fact <- factor(DF_RCFL_A2016$B3, 
levels=c("001", 
"002", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"994", 
"995", 
"996"), 
labels=c("Cassa Integrazione Guadagni (CIG ordinaria o straordinaria)", 
"Ridotta attivit dell'impresa per motivi economici e/o tecnici (esclusa CIG)", 
"Controversia di lavoro", 
"Maltempo", 
"Malattia, problemi di salute personali, infortunio", 
"Ferie", 
"Festivit nella settimana", 
"Orario variabile o flessibile (ad es. riposo compensativo)", 
"Part-time verticale", 
"Studio o Formazione non organizzata nell'ambito del proprio lavoro", 
"Assenza obbligatoria per maternit", 
"Assenza facoltativa fino all'ottavo anno del bambino (congedo parentale)", 
"Motivi familiari (esclusa maternit obbligatoria e congedo parentale)", 
"Mancanza/scarsit di lavoro", 
"Fa un lavoro occasionale", 
"Fa un lavoro stagionale alle dipendenze (ad es. bagnino,  raccoglitore di frutta, cameriere in montagna d'inverno, etc.)", 
"Altro motivo (specificare)")) 


B3bis_Fact <- factor(DF_RCFL_A2016$B3bis, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Si", 
"No", 
"Aveva un lavoro, ma era assente", 
"Non aveva un lavoro")) 


B4_Fact <- factor(DF_RCFL_A2016$B4, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di: Collaborazione coordinata e continuativa (con o senza progetto)", 
"Un lavoro di: Prestazione d'opera occasionale", 
"Un lavoro autonomo come: Imprenditore", 
"Un lavoro autonomo come: Libero professionista", 
"Un lavoro autonomo come: Lavoratore in proprio", 
"Un lavoro autonomo come: Coadiuvante nell'azienda di un familiare", 
"Un lavoro autonomo come: Socio di cooperativa")) 


B4A_Fact <- factor(DF_RCFL_A2016$B4A, 
levels=c("1", 
"2", 
"3"), 
labels=c("Si,  Contratto di lavoro alle dipendenze", 
"Si,  Contratto di collaborazione coordinata e continuativa (con o senza progetto)", 
"No")) 


B4bis_Fact <- factor(DF_RCFL_A2016$B4bis, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


B6_Fact <- factor(DF_RCFL_A2016$B6, 
levels=c("1", 
"2"), 
labels=c("Fino a tre mesi", 
"Pi di tre mesi")) 


B7_Fact <- factor(DF_RCFL_A2016$B7, 
levels=c("1", 
"2", 
"3"), 
labels=c("S, il 50% o pi", 
"S, meno del 50%", 
"No, non retribuito")) 


B8_Fact <- factor(DF_RCFL_A2016$B8, 
levels=c("001", 
"002", 
"997", 
"998"), 
labels=c("S", 
"No", 
"Non sa", 
"Non risponde")) 


B9_Fact <- factor(DF_RCFL_A2016$B9, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


B10_Fact <- factor(DF_RCFL_A2016$B10, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


B11_Fact <- factor(DF_RCFL_A2016$B11, 
levels=c("1", 
"2"), 
labels=c("Momentaneamente sospesa", 
"Conclusa")) 


C1_Fact <- factor(DF_RCFL_A2016$C1, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di: Collaborazione coordinata e continuativa (con o senza progetto)", 
"Un lavoro di: Prestazione d'opera occasionale", 
"Un lavoro autonomo come: Imprenditore", 
"Un lavoro autonomo come: Libero professionista", 
"Un lavoro autonomo come: Lavoratore in proprio", 
"Un lavoro autonomo come: Coadiuvante nell'azienda di un familiare", 
"Un lavoro autonomo come: Socio di cooperativa")) 


C1bis_Fact <- factor(DF_RCFL_A2016$C1bis, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


C1A_Fact <- factor(DF_RCFL_A2016$C1A, 
levels=c("1", 
"2", 
"3"), 
labels=c("Si,  Contratto di lavoro alle dipendenze", 
"Si,  Contratto di collaborazione coordinata e continuativa (con o senza progetto)", 
"No")) 


C1B_Fact <- factor(DF_RCFL_A2016$C1B, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


C1D_Fact <- factor(DF_RCFL_A2016$C1D, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


C4_Fact <- factor(DF_RCFL_A2016$C4, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


C5_Fact <- factor(DF_RCFL_A2016$C5, 
levels=c("001", 
"002", 
"997"), 
labels=c("Per un sola azienda/cliente", 
"Per pi aziende/clienti", 
"Non sa")) 


C6_Fact <- factor(DF_RCFL_A2016$C6, 
levels=c("001", 
"002", 
"997"), 
labels=c("Decide dove lavorare/lavora presso il proprio ufficio", 
"Lavora presso l'azienda/cliente/committente", 
"Non sa")) 


C7_Fact <- factor(DF_RCFL_A2016$C7, 
levels=c("001", 
"002", 
"997"), 
labels=c("Decide autonomamente l'orario", 
"Non decide l'orario", 
"Non sa")) 


C9_Fact <- factor(DF_RCFL_A2016$C9, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6"), 
labels=c("Dirigente", 
"Quadro", 
"Impiegato", 
"Operaio", 
"Apprendista", 
"Lavoratore presso il proprio domicilio per conto di un'impresa")) 


C10_Fact <- factor(DF_RCFL_A2016$C10, 
levels=c("001", 
"002", 
"997"), 
labels=c("S", 
"No", 
"Non sa")) 


C14_Fact <- factor(DF_RCFL_A2016$C14, 
levels=c("001", 
"002", 
"997"), 
labels=c("Solo una sede", 
"Pi sedi", 
"Non sa")) 


C18_Fact <- factor(DF_RCFL_A2016$C18, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8"), 
labels=c("Fino a 10 persone", 
"Da 11 a 15", 
"Da 16 a 19", 
"Da 20 a 49", 
"Da 50 a 249", 
"250 persone o pi", 
"Non sa ma fino a 10", 
"Non sa ma pi di 10")) 


C20_Fact <- factor(DF_RCFL_A2016$C20, 
levels=c("1", 
"2"), 
labels=c("A termine (tempo determinato)", 
"A tempo indeterminato (senza una scadenza)")) 


C22_Fact <- factor(DF_RCFL_A2016$C22, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"996", 
"997"), 
labels=c("Periodo di formazione", 
"Periodo di prova", 
"Lavoro stagionale", 
"Lavoro occasionale, discontinuo (comprese supplenza nella scuola o sostituzione di un lavoratore assente compresa l'assenza per maternit)", 
"Lavoro per la realizzazione di un progetto", 
"Occupare un posto vacante (incarico a termine nella scuola, nella sanit, etc.)", 
"Altro (specificare)", 
"Non sa")) 


C23A_Fact <- factor(DF_RCFL_A2016$C23A, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("Di inserimento lavorativo o formazione e lavoro", 
"Di apprendistato", 
"Altro tipo di contratto (tempo determinato, interinale, ecc.)", 
"Non sa")) 


C24_Fact <- factor(DF_RCFL_A2016$C24, 
levels=c("001", 
"002", 
"997"), 
labels=c("S", 
"No", 
"Non sa")) 


C24bis_Fact <- factor(DF_RCFL_A2016$C24bis, 
levels=c("001", 
"002", 
"997"), 
labels=c("Dallimpresa", 
"Dallagenzia interinale", 
"Non sa")) 


C24ter_Fact <- factor(DF_RCFL_A2016$C24ter, 
levels=c("001", 
"002", 
"997"), 
labels=c("S", 
"No", 
"Non sa")) 


C25_Fact <- factor(DF_RCFL_A2016$C25, 
levels=c("001", 
"002", 
"997"), 
labels=c("Non vuole un lavoro a tempo indeterminato", 
"Non ha trovato un lavoro a tempo indeterminato", 
"Non sa")) 


C27_Fact <- factor(DF_RCFL_A2016$C27, 
levels=c("1", 
"2"), 
labels=c("A tempo pieno", 
"A tempo parziale (part-time)")) 


C27A_Fact <- factor(DF_RCFL_A2016$C27A, 
levels=c("001", 
"002", 
"003", 
"004", 
"996", 
"997"), 
labels=c("Ogni giorno lavora meno ore dell'orario a tempo pieno", 
"Lavora solo alcuni giorni a settimana con orario a tempo pieno", 
"Lavora solo alcune settimane al mese con orario a tempo pieno", 
"Lavora solo alcuni mesi all'anno con orario a tempo pieno", 
"Altra forma di part-time", 
"Non sa")) 


C28_Fact <- factor(DF_RCFL_A2016$C28, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("Non vuole un lavoro a tempo pieno", 
"Non ha trovato un lavoro a tempo pieno", 
"Altri motivi", 
"Non sa")) 


C29_Fact <- factor(DF_RCFL_A2016$C29, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"996"), 
labels=c("Studia o segue corsi di formazione professionale", 
"Malattia, problemi di salute personali", 
"Per prendersi cura dei figli, di bambini e/o di altre persone non autosufficienti", 
"Svolge un secondo lavoro", 
"Altri motivi familiari (esclusa cura dei figli o di altre persone)", 
"Avere a disposizione pi tempo libero", 
"Altri motivi (specificare)")) 


C29B_Fact <- factor(DF_RCFL_A2016$C29B, 
levels=c("001", 
"002", 
"003", 
"004", 
"997"), 
labels=c("S, sono assenti/inadeguati i servizi per la cura di bambini", 
"S, sono assenti/inadeguati i servizi per la cura di persone anziane, malate, disabili", 
"S, entrambi i servizi sono assenti/inadeguati", 
"No, lavora part-time per altri motivi", 
"Non sa")) 


C32_Fact <- factor(DF_RCFL_A2016$C32, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("Meno del solito", 
"Piu' del solito", 
"Come al solito", 
"Non sa")) 


C33_Fact <- factor(DF_RCFL_A2016$C33, 
levels=c("001", 
"002", 
"004", 
"996"), 
labels=c("Orario variabile, flessibile", 
"Straordinario retribuito e/o non retribuito", 
"Maggiori impegni di lavoro", 
"Altro (specificare)")) 


C34_Fact <- factor(DF_RCFL_A2016$C34, 
levels=c("001", 
"002", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"996"), 
labels=c("Cassa Integrazione Guadagni (ordinaria o straordinaria)", 
"Ridotta attivit dell'impresa per motivi economici e/o tecnici (esclusa CIG)", 
"Controversia di lavoro", 
"Maltempo", 
"Malattia, problemi di salute personali, infortunio", 
"Ferie", 
"Festivit nella settimana", 
"Orario variabile o flessibile (ad es. riposo compensativo)", 
"Part-time verticale", 
"Studio o formazione non organizzata nell'ambito del proprio lavoro", 
"Assenza obbligatoria per maternit", 
"Assenza facoltativa fino all'ottavo anno del bambino (congedo parentale)", 
"Motivi familiari (esclusa maternit obbligatoria e congedo parentale)", 
"Mancanza/scarsit di lavoro", 
"Inizio o cambiamento del lavoro nella settimana", 
"Ha concluso il lavoro nella settimana", 
"Altro (specificare)")) 


C35_Fact <- factor(DF_RCFL_A2016$C35, 
levels=c("001", 
"002", 
"997"), 
labels=c("S", 
"No", 
"Non sa")) 


C38_Fact <- factor(DF_RCFL_A2016$C38, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("S, meno ore", 
"S, pi ore", 
"No (avrebbe voluto lavorare lo stesso numero di ore)", 
"Non sa")) 


C39A_Fact <- factor(DF_RCFL_A2016$C39A, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Aggiungendo un nuovo lavoro a quello che ha gi", 
"Cambiando lavoro", 
"Continuando a fare lo stesso lavoro", 
"In uno qualunque dei modi precedenti")) 


C40_Fact <- factor(DF_RCFL_A2016$C40, 
levels=c("001", 
"002", 
"997"), 
labels=c("S, nella settimana specificata o entro le due settimane successive", 
"No", 
"Non sa")) 


C41_Fact <- factor(DF_RCFL_A2016$C41, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"996", 
"997", 
"998"), 
labels=c("Malattia, problemi di salute personali", 
"Studio o Formazione non organizzata nell'ambito del proprio lavoro", 
"Altri motivi personali (specificare)", 
"Maternit, nascita di un figlio", 
"Altri motivi familiari (esclusa cura dei figli o di altre persone)", 
"Deve dare un preavviso", 
"Per prendersi cura dei figli, bambini e/o di altre persone non autosufficienti", 
"Altro motivo (specificare)", 
"Non sa", 
"Non risponde")) 


C42_Fact <- factor(DF_RCFL_A2016$C42, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("S, 2 o pi volte a settimana", 
"S, meno di 2 volte a settimana", 
"No", 
"Non sa")) 


C43_Fact <- factor(DF_RCFL_A2016$C43, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("S, 2 o pi volte a settimana", 
"S, meno di 2 volte a settimana", 
"No", 
"Non sa")) 


C44_Fact <- factor(DF_RCFL_A2016$C44, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("S, 2 o pi volte (nelle 4 settimane)", 
"S, meno di 2 volte (nelle 4 settimane)", 
"No", 
"Non sa")) 


C45_Fact <- factor(DF_RCFL_A2016$C45, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("S, 2 o pi volte (nelle 4 settimane)", 
"S, meno di 2 volte (nelle 4 settimane)", 
"No", 
"Non sa")) 


C46_Fact <- factor(DF_RCFL_A2016$C46, 
levels=c("001", 
"002", 
"997"), 
labels=c("S", 
"No", 
"Non sa")) 


C47_Fact <- factor(DF_RCFL_A2016$C47, 
levels=c("001", 
"002", 
"997"), 
labels=c("S", 
"No", 
"Non sa")) 


C48_Fact <- factor(DF_RCFL_A2016$C48, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("S, 2 o pi volte a settimana", 
"S, meno di 2 volte a settimana", 
"No", 
"Non sa")) 


C53_Fact <- factor(DF_RCFL_A2016$C53, 
levels=c("001", 
"003", 
"004", 
"005", 
"997"), 
labels=c("S, da un altro comune italiano", 
"S, dall'estero", 
"No", 
"S, ma poi  tornato nel comune di residenza", 
"Non sa")) 


C59_Fact <- factor(DF_RCFL_A2016$C59, 
levels=c("001", 
"002", 
"997"), 
labels=c("S", 
"No", 
"Non sa")) 


C59AA_Fact <- factor(DF_RCFL_A2016$C59AA, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"996", 
"997"), 
labels=c("Ha risposto ad annunci sui giornali, internet, bacheche ecc.", 
"Si  rivolto direttamente al datore di lavoro", 
"Contattato direttamente dal datore di lavoro", 
"Attraverso parenti, amici, conoscenti", 
"Concorso pubblico (comprese le graduatorie per gli insegnanti)", 
"Struttura di intermediazione pubblica diversa da un Centro pubblico per l'impiego", 
"Agenzia interinale o altra agenzia privata di intermediazione", 
"Segnalazione di una scuola, dell'universit, di centri di formazione", 
"Precedenti esperienze (stage, tirocini, lavori di breve durata) nella stessa impresa dove lavora oggi", 
"Inizio di un'attivit autonoma", 
"Altro aiuto (specificare)", 
"Non sa")) 


C60_Fact <- factor(DF_RCFL_A2016$C60, 
levels=c("001", 
"002", 
"997"), 
labels=c("S", 
"No", 
"Non sa")) 


D1_Fact <- factor(DF_RCFL_A2016$D1, 
levels=c("1", 
"2", 
"3"), 
labels=c("S, un altro lavoro", 
"S, pi di uno", 
"No")) 


D3_Fact <- factor(DF_RCFL_A2016$D3, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("Regolarmente", 
"Solo in alcune stagioni (o in particolari periodi dell'anno)", 
"Ogni tanto, quando capita", 
"Non sa")) 


D4_Fact <- factor(DF_RCFL_A2016$D4, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di: Collaborazione coordinata e continuativa (con o senza progetto)", 
"Un lavoro di: Prestazione d'opera occasionale", 
"Un lavoro autonomo come: Imprenditore", 
"Un lavoro autonomo come: Libero professionista", 
"Un lavoro autonomo come: Lavoratore in proprio", 
"Un lavoro autonomo come: Coadiuvante nell'azienda di un familiare", 
"Un lavoro autonomo come: Socio di cooperativa")) 


D5_Fact <- factor(DF_RCFL_A2016$D5, 
levels=c("1", 
"2", 
"3"), 
labels=c("Si,  Contratto di lavoro alle dipendenze", 
"Si,  Contratto di collaborazione coordinata e continuativa (con o senza progetto)", 
"No")) 


D5A_Fact <- factor(DF_RCFL_A2016$D5A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


D5bis_Fact <- factor(DF_RCFL_A2016$D5bis, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


D7_Fact <- factor(DF_RCFL_A2016$D7, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


E1_Fact <- factor(DF_RCFL_A2016$E1, 
levels=c("1", 
"2", 
"3"), 
labels=c("S", 
"No", 
"No, permanentemente inabile al lavoro")) 


E6_Fact <- factor(DF_RCFL_A2016$E6, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di: Collaborazione coordinata e continuativa (con o senza progetto)", 
"Un lavoro di: Prestazione d'opera occasionale", 
"Un lavoro autonomo come: Imprenditore", 
"Un lavoro autonomo come: Libero professionista", 
"Un lavoro autonomo come: Lavoratore in proprio", 
"Un lavoro autonomo come: Coadiuvante nell'azienda di un familiare", 
"Un lavoro autonomo come: Socio di cooperativa")) 


E7_Fact <- factor(DF_RCFL_A2016$E7, 
levels=c("1", 
"2", 
"3"), 
labels=c("Si,  Contratto di lavoro alle dipendenze", 
"Si,  Contratto di collaborazione coordinata e continuativa (con o senza progetto)", 
"No")) 


E8_Fact <- factor(DF_RCFL_A2016$E8, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


E14_Fact <- factor(DF_RCFL_A2016$E14, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"996"), 
labels=c("Pensionamento (anzianit o vecchiaia)", 
"Licenziamento o mobilit (anche a seguito di fallimento o chiusura attivit della ditta in cui lavorava)", 
"Lavoro a termine (compreso lavoro occasionale e stagionale)", 
"Malattia, problemi di salute personali", 
"Maternit, nascita di un figlio", 
"Per prendersi cura dei figli, di bambini e/o di altre persone non autosufficienti", 
"Studio o formazione professionale", 
"Servizio di leva o servizio civile sostitutivo", 
"Altri motivi familiari (esclusa maternit, cura dei figli o di altre persone)", 
"Altri motivi (specificare)")) 


E15_Fact <- factor(DF_RCFL_A2016$E15, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"996"), 
labels=c("Pensionamento (anzianit o vecchiaia)", 
"Chiusura o cessazione dell'attivit (compreso il passaggio della gestione della ditta ad un altro familiare)", 
"Lavoro a termine (compreso lavoro occasionale e stagionale)", 
"Malattia, problemi di salute personali", 
"Maternit, nascita di un figlio", 
"Per prendersi cura dei figli, di bambini e/o di altre persone non autosufficienti", 
"Studio o formazione professionale", 
"Servizio di leva o servizio civile sostitutivo", 
"Altri motivi familiari (esclusa maternit, cura dei figli o di altre persone)", 
"Altri motivi (specificare)")) 


F1_Fact <- factor(DF_RCFL_A2016$F1, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F2_Fact <- factor(DF_RCFL_A2016$F2, 
levels=c("1", 
"2"), 
labels=c("Un nuovo lavoro", 
"Un secondo lavoro (da aggiungere a quello attuale)")) 


F3_Fact <- factor(DF_RCFL_A2016$F3, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"996"), 
labels=c("Lavoro attuale  a termine (lavoro a tempo determinato)", 
"Teme di perdere l'attuale lavoro", 
"Considera l'attuale lavoro occasionale", 
"Guadagnare di pi", 
"Raggiungere pi facilmente il luogo di lavoro", 
"Orario pi adatto a prendersi cura dei figli e/o di altri familiari", 
"Orario diverso per altri motivi", 
"Cerca un lavoro pi qualificante per le proprie  capacit/competenze e con maggiori prospettive di carriera", 
"Cerca un lavoro pi adatto alle proprie condizioni di salute", 
"Altri motivi (specificare)")) 


F4_Fact <- factor(DF_RCFL_A2016$F4, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("Pi ore", 
"Meno ore", 
"Lo stesso numero di ore", 
"Non sa")) 


F5_Fact <- factor(DF_RCFL_A2016$F5, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F6_01_Fact <- factor(DF_RCFL_A2016$F6_01, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6_02_Fact <- factor(DF_RCFL_A2016$F6_02, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6_03_Fact <- factor(DF_RCFL_A2016$F6_03, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6_04_Fact <- factor(DF_RCFL_A2016$F6_04, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6_05_Fact <- factor(DF_RCFL_A2016$F6_05, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6_06_Fact <- factor(DF_RCFL_A2016$F6_06, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6_07_Fact <- factor(DF_RCFL_A2016$F6_07, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6_08_Fact <- factor(DF_RCFL_A2016$F6_08, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6_09_Fact <- factor(DF_RCFL_A2016$F6_09, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6_10_Fact <- factor(DF_RCFL_A2016$F6_10, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6_11_Fact <- factor(DF_RCFL_A2016$F6_11, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6_12_Fact <- factor(DF_RCFL_A2016$F6_12, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6_96_Fact <- factor(DF_RCFL_A2016$F6_96, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6A_01_Fact <- factor(DF_RCFL_A2016$F6A_01, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6A_02_Fact <- factor(DF_RCFL_A2016$F6A_02, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6A_03_Fact <- factor(DF_RCFL_A2016$F6A_03, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F6A_96_Fact <- factor(DF_RCFL_A2016$F6A_96, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F7_Fact <- factor(DF_RCFL_A2016$F7, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F8_Fact <- factor(DF_RCFL_A2016$F8, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F10_Fact <- factor(DF_RCFL_A2016$F10, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"996", 
"997"), 
labels=c("Ha gi un lavoro che inizier in futuro", 
"Studia o segue corsi di formazione professionale", 
"Malattia, problemi di salute personali", 
"Per prendersi cura dei figli, di bambini e/o di altre  persone non autosufficenti", 
"In attesa di tornare al suo posto di lavoro", 
"Pensione da lavoro (anzianit o vecchiaia)", 
"Ritiene di non riuscire a trovare lavoro", 
"Non gli interessa/non ne ha bisogno (anche per motivi di et)", 
"Sta aspettando gli esiti di passate azioni di ricerca", 
"Permanentemente inabile al lavoro", 
"Maternit, nascita di un figlio", 
"Altri motivi familiari (esclusa maternit, cura dei figli o di altre persone)", 
"Altri motivi (specificare)", 
"Non sa")) 


F10A_Fact <- factor(DF_RCFL_A2016$F10A, 
levels=c("001", 
"002", 
"003", 
"004", 
"997"), 
labels=c("S, sono assenti/inadeguati i servizi per la cura di bambini", 
"S, sono assenti/inadeguati i servizi per la cura di persone anziane, malate, disabili", 
"S, entrambi i servizi sono assenti/inadeguati", 
"No, non ha cercato lavoro per altri motivi", 
"Non sa")) 


F12_Fact <- factor(DF_RCFL_A2016$F12, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F13_Fact <- factor(DF_RCFL_A2016$F13, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F14_Fact <- factor(DF_RCFL_A2016$F14, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"009", 
"996", 
"997", 
"998"), 
labels=c("Studia o segue corsi di formazione professionale", 
"Altri motivi personali", 
"Maternit, nascita di un figlio", 
"Altri motivi familiari (esclusa la maternit, cura dei figli o di altre persone)", 
"Malattia, problemi di salute personali", 
"Deve dare un preavviso", 
"Deve o vuole concludere il lavoro gi iniziato", 
"Per prendersi cura dei figli, di bambini e/o di altre persone non autosufficienti", 
"Altri motivi (specificare)", 
"Non sa", 
"Non risponde")) 


F15_Fact <- factor(DF_RCFL_A2016$F15, 
levels=c("001", 
"002", 
"997"), 
labels=c("S", 
"No", 
"Non sa")) 


F16_Fact <- factor(DF_RCFL_A2016$F16, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F17_Fact <- factor(DF_RCFL_A2016$F17, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F18_Fact <- factor(DF_RCFL_A2016$F18, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F19_Fact <- factor(DF_RCFL_A2016$F19, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F20_Fact <- factor(DF_RCFL_A2016$F20, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F21_Fact <- factor(DF_RCFL_A2016$F21, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F22_Fact <- factor(DF_RCFL_A2016$F22, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F23_Fact <- factor(DF_RCFL_A2016$F23, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F24_Fact <- factor(DF_RCFL_A2016$F24, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F24A_01_Fact <- factor(DF_RCFL_A2016$F24A_01, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F24A_02_Fact <- factor(DF_RCFL_A2016$F24A_02, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F24A_03_Fact <- factor(DF_RCFL_A2016$F24A_03, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F24A_96_Fact <- factor(DF_RCFL_A2016$F24A_96, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F25_Fact <- factor(DF_RCFL_A2016$F25, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F26_Fact <- factor(DF_RCFL_A2016$F26, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F27_Fact <- factor(DF_RCFL_A2016$F27, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F28_Fact <- factor(DF_RCFL_A2016$F28, 
levels=c("1", 
"2"), 
labels=c("Si (specificare)", 
"No")) 


F29_01_Fact <- factor(DF_RCFL_A2016$F29_01, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F29_02_Fact <- factor(DF_RCFL_A2016$F29_02, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F29_03_Fact <- factor(DF_RCFL_A2016$F29_03, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F29_04_Fact <- factor(DF_RCFL_A2016$F29_04, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F29_97_Fact <- factor(DF_RCFL_A2016$F29_97, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


F30_Fact <- factor(DF_RCFL_A2016$F30, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F32_Fact <- factor(DF_RCFL_A2016$F32, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Studiava", 
"Era in servizio militare o in servizio civile sostitutivo", 
"Lavorava", 
"Si prendeva cura della casa e/o dei familiari", 
"In altra condizione")) 


F33_Fact <- factor(DF_RCFL_A2016$F33, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F34_Fact <- factor(DF_RCFL_A2016$F34, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"009", 
"996", 
"997", 
"998"), 
labels=c("Studia o segue corsi di formazione professionale", 
"Altri motivi personali", 
"Maternit, nascita di un figlio", 
"Altri motivi familiari (esclusa la maternit, cura dei figli o di altre persone)", 
"Malattia, problemi di salute personali", 
"Deve dare un preavviso", 
"Deve o vuole concludere il lavoro gi iniziato", 
"Per prendersi cura dei figli, di bambini e/o di altre persone non autosufficienti", 
"Altri motivi (specificare)", 
"Non sa", 
"Non risponde")) 


F35_Fact <- factor(DF_RCFL_A2016$F35, 
levels=c("1", 
"2", 
"3"), 
labels=c("In proprio", 
"Dipendente", 
"Senza preferenze")) 


F36_Fact <- factor(DF_RCFL_A2016$F36, 
levels=c("1", 
"2", 
"3"), 
labels=c("A tempo pieno", 
"Part-time (a tempo parziale)", 
"Senza preferenze")) 


F37_Fact <- factor(DF_RCFL_A2016$F37, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F38_Fact <- factor(DF_RCFL_A2016$F38, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F39_Fact <- factor(DF_RCFL_A2016$F39, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("A termine", 
"A tempo indeterminato", 
"Senza preferenze", 
"Non sa")) 


F40_Fact <- factor(DF_RCFL_A2016$F40, 
levels=c("001", 
"002", 
"997"), 
labels=c("S", 
"No", 
"Non sa")) 


F41_Fact <- factor(DF_RCFL_A2016$F41, 
levels=c("001", 
"002", 
"003", 
"004", 
"997"), 
labels=c("Soltanto nel comune di residenza", 
"In altro comune raggiungibile giornalmente", 
"Ovunque, in Italia", 
"Ovunque, anche all'estero", 
"Non sa")) 


F44_Fact <- factor(DF_RCFL_A2016$F44, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Studiava", 
"Era in servizio di leva o servizio civile sostitutivo", 
"Lavorava", 
"Si prendeva cura dei figli e/o di altri familiari", 
"In altra condizione")) 


F45_Fact <- factor(DF_RCFL_A2016$F45, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F46_Fact <- factor(DF_RCFL_A2016$F46, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


F47_Fact <- factor(DF_RCFL_A2016$F47, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"009", 
"996", 
"997", 
"998"), 
labels=c("Studia o segue corsi di formazione professionale", 
"Altri motivi personali", 
"Maternit, nascita di un figlio", 
"Altri motivi familiari (esclusa la maternit, cura dei figli o di altre persone)", 
"Malattia, problemi di salute personali", 
"Deve dare un preavviso", 
"Deve o vuole concludere il lavoro gi iniziato", 
"Per prendersi cura dei figli, di bambini e/o di altre persone non autosufficienti", 
"Altri motivi (specificare)", 
"Non sa", 
"Non risponde")) 


F48_Fact <- factor(DF_RCFL_A2016$F48, 
levels=c("1", 
"2"), 
labels=c("In proprio", 
"Alle dipendenze")) 


F49_Fact <- factor(DF_RCFL_A2016$F49, 
levels=c("001", 
"002", 
"997"), 
labels=c("Tempo pieno", 
"Part-time (a tempo parziale)", 
"Non sa")) 


F50_Fact <- factor(DF_RCFL_A2016$F50, 
levels=c("001", 
"002", 
"997"), 
labels=c("S", 
"No", 
"Non sa")) 


G1_Fact <- factor(DF_RCFL_A2016$G1, 
levels=c("001", 
"002", 
"997"), 
labels=c("S", 
"No", 
"Non sa")) 


G2_Fact <- factor(DF_RCFL_A2016$G2, 
levels=c("1", 
"2", 
"3"), 
labels=c("Cercare lavoro", 
"Avvalersi di altri servizi", 
"Entrambi i motivi")) 


G3_Fact <- factor(DF_RCFL_A2016$G3, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"997"), 
labels=c("Meno di 1 mese", 
"Da 1 a meno di 4 mesi", 
"Da 4 a meno di 7 mesi", 
"Da 7 mesi a meno di 1 anno", 
"Da 1 a meno di 2 anni", 
"Da 2 a meno di 3 anni", 
"Da 3 o pi anni", 
"Non sa")) 


G4_10_Fact <- factor(DF_RCFL_A2016$G4_10, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G4_11_Fact <- factor(DF_RCFL_A2016$G4_11, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G4_12_Fact <- factor(DF_RCFL_A2016$G4_12, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G4_01_Fact <- factor(DF_RCFL_A2016$G4_01, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G4_02_Fact <- factor(DF_RCFL_A2016$G4_02, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G4_03_Fact <- factor(DF_RCFL_A2016$G4_03, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G4_04_Fact <- factor(DF_RCFL_A2016$G4_04, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G4_05_Fact <- factor(DF_RCFL_A2016$G4_05, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G4_06_Fact <- factor(DF_RCFL_A2016$G4_06, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G4_13_Fact <- factor(DF_RCFL_A2016$G4_13, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G4_07_Fact <- factor(DF_RCFL_A2016$G4_07, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G4_08_Fact <- factor(DF_RCFL_A2016$G4_08, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G4_09_Fact <- factor(DF_RCFL_A2016$G4_09, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G4_96_Fact <- factor(DF_RCFL_A2016$G4_96, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G4_97_Fact <- factor(DF_RCFL_A2016$G4_97, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G5_Fact <- factor(DF_RCFL_A2016$G5, 
levels=c("001", 
"003", 
"997"), 
labels=c("Si", 
"No", 
"Non sa")) 


G6_Fact <- factor(DF_RCFL_A2016$G6, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"997"), 
labels=c("Meno di 1 mese", 
"Da 1 a meno di 4 mesi", 
"Da 4 a meno di 7 mesi", 
"Da 7 mesi a meno di 1 anno", 
"Da 1 a meno di 2 anni", 
"Da 2 a meno di 3 anni", 
"Da 3 o pi anni", 
"Non sa")) 


G7_01_Fact <- factor(DF_RCFL_A2016$G7_01, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G7_02_Fact <- factor(DF_RCFL_A2016$G7_02, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G7_03_Fact <- factor(DF_RCFL_A2016$G7_03, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G7_97_Fact <- factor(DF_RCFL_A2016$G7_97, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G8_01_Fact <- factor(DF_RCFL_A2016$G8_01, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G8_02_Fact <- factor(DF_RCFL_A2016$G8_02, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G8_03_Fact <- factor(DF_RCFL_A2016$G8_03, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G8_97_Fact <- factor(DF_RCFL_A2016$G8_97, 
levels=c("0", 
"1"), 
labels=c("No", 
"Si")) 


G9_Fact <- factor(DF_RCFL_A2016$G9, 
levels=c("001", 
"002", 
"003", 
"997", 
"998"), 
labels=c("S, sussidio di disoccupazione", 
"S, indennit di mobilit", 
"No", 
"Non sa", 
"Non risponde")) 


H1_Fact <- factor(DF_RCFL_A2016$H1, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


H1B_Fact <- factor(DF_RCFL_A2016$H1B, 
levels=c("1", 
"2", 
"4"), 
labels=c("S, iscritto dopo lultimo giorno della settimana di riferimento", 
"S, si iscriver al termine della vacanza", 
"No")) 


H2A_Fact <- factor(DF_RCFL_A2016$H2A, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("Corso di Accademia, Conservatorio, ecc.  (vecchio ordinamento)", 
"Corso di alta formazione artistica, musicale e coreutica di I livello", 
"Corso di alta formazione artistica, musicale e coreutica di II livello", 
"Non sa")) 


H2B_Fact <- factor(DF_RCFL_A2016$H2B, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("Master universitario di I livello/ Corso accademico di perfezionamento o master di I livello/Corso accademico di specializzazione di I livello", 
"Master universitario di II livello/ Corso accademico di perfezionamento o master di II livello/Corso accademico di specializzazione di II livello", 
"Corso di specializzazione universitaria", 
"Non sa")) 


H4_Fact <- factor(DF_RCFL_A2016$H4, 
levels=c("001", 
"002", 
"003", 
"997"), 
labels=c("S, una sola attivit", 
"S, pi attivit", 
"No", 
"Non sa")) 


H6_Fact <- factor(DF_RCFL_A2016$H6, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Corso di formazione professionale: Corso organizzato e/o riconosciuto dalla regione di durata inferiore alle 600 ore (o 6 mesi) oppure che non rilascia una qualifica professionale", 
"Corso di formazione professionale: Corso organizzato dall'Azienda o Ente in cui lavora", 
"Corso di formazione professionale: Altro corso di formazione professionale", 
"Altro tipo di attivit formativa: Seminario, conferenza", 
"Altro tipo di attivit formativa: Lezioni private, corso individuale", 
"Altro tipo di attivit formativa: Univesit della Terza et o del Tempo Libero", 
"Altro tipo di attivit formativa: Altro tipo di corso (ad es. corso di inglese, di informatica, di musica, etc.)")) 


H8_Fact <- factor(DF_RCFL_A2016$H8, 
levels=c("001", 
"002", 
"997"), 
labels=c("Per motivi professionali/di ricerca del lavoro", 
"Per interesse personale", 
"Non sa")) 


H9_Fact <- factor(DF_RCFL_A2016$H9, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"997"), 
labels=c("S, esclusivamente durante l'orario di lavoro", 
"S, principalmente durante l'orario di lavoro", 
"S, principalmente fuori dall'orario di lavoro", 
"No, esclusivamente fuori dall'orario di lavoro", 
"In quel periodo non aveva un lavoro", 
"Non sa")) 


H13_Fact <- factor(DF_RCFL_A2016$H13, 
levels=c("001", 
"002", 
"997"), 
labels=c("S", 
"No", 
"Non sa")) 


H14_Fact <- factor(DF_RCFL_A2016$H14, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"997"), 
labels=c("Meno di 6 mesi (o di 600 ore)", 
"Da 6 mesi (o 600 ore) a meno di 1 anno", 
"Da 1 anno a meno di  2 anni", 
"Da 2 anni a meno di 3 anni", 
"3 anni o pi", 
"Non sa")) 


H15_Fact <- factor(DF_RCFL_A2016$H15, 
levels=c("001", 
"002", 
"003", 
"004", 
"997"), 
labels=c("S, un diploma di laurea", 
"S, un diploma di scuola secondaria di II grado o una qualifica professionale (compresi gli IFP)", 
"S, la licenza media", 
"No", 
"Non sa")) 


I1_Fact <- factor(DF_RCFL_A2016$I1, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"9"), 
labels=c("Occupato", 
"Disoccupato alla ricerca di nuova occupazione", 
"In cerca di prima occupazione", 
"Casalinga/o", 
"Studente", 
"Ritirato/a dal lavoro", 
"Inabile al lavoro", 
"In altra condizione (specificare)")) 


I5_Fact <- factor(DF_RCFL_A2016$I5, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"9"), 
labels=c("Occupato", 
"Disoccupato alla ricerca di nuova occupazione", 
"In cerca di prima occupazione", 
"Casalinga/o", 
"Studente", 
"Ritirato dal lavoro", 
"Inabile al lavoro", 
"In altra condizione (specificare)")) 


I6_Fact <- factor(DF_RCFL_A2016$I6, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di: Collaborazione coordinata e continuativa (con o senza progetto)", 
"Un lavoro di: Prestazione d'opera occasionale", 
"Un lavoro autonomo come: Imprenditore", 
"Un lavoro autonomo come: Libero professionista", 
"Un lavoro autonomo come: Lavoratore in proprio", 
"Un lavoro autonomo come: Coadiuvante nell'azienda di un familiare", 
"Un lavoro autonomo come: Socio di cooperativa")) 


I7_Fact <- factor(DF_RCFL_A2016$I7, 
levels=c("1", 
"2", 
"3"), 
labels=c("Si,  Contratto di lavoro alle dipendenze", 
"Si,  Contratto di collaborazione coordinata e continuativa (con o senza progetto)", 
"No")) 


I8_Fact <- factor(DF_RCFL_A2016$I8, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


I9_Fact <- factor(DF_RCFL_A2016$I9, 
levels=c("001", 
"002", 
"997"), 
labels=c("A termine (tempo determinato)", 
"A tempo indeterminato (senza una scadenza)", 
"Non sa")) 


I12_Fact <- factor(DF_RCFL_A2016$I12, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


I13_Fact <- factor(DF_RCFL_A2016$I13, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


RIP5_Fact <- factor(DF_RCFL_A2016$RIP5, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Nord ovest", 
"Nord est", 
"Centro", 
"Sud", 
"Isole")) 


RIP3_Fact <- factor(DF_RCFL_A2016$RIP3, 
levels=c("1", 
"2", 
"3"), 
labels=c("Nord", 
"Centro", 
"Mezzogiorno")) 


ETAM_Fact <- factor(DF_RCFL_A2016$ETAM, 
levels=c("00", 
"03", 
"06", 
"11", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"27", 
"28", 
"29", 
"30", 
"31", 
"32", 
"33", 
"34", 
"35", 
"36", 
"37", 
"38", 
"39", 
"40", 
"41", 
"42", 
"43", 
"44", 
"45", 
"46", 
"47", 
"48", 
"49", 
"50", 
"51", 
"52", 
"53", 
"54", 
"55", 
"56", 
"57", 
"58", 
"59", 
"60", 
"61", 
"62", 
"63", 
"64", 
"65", 
"66", 
"67", 
"68", 
"69", 
"70", 
"71", 
"72", 
"73", 
"74", 
"75"), 
labels=c("0-2", 
"3-5", 
"6-10", 
"11-14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"27", 
"28", 
"29", 
"30", 
"31", 
"32", 
"33", 
"34", 
"35", 
"36", 
"37", 
"38", 
"39", 
"40", 
"41", 
"42", 
"43", 
"44", 
"45", 
"46", 
"47", 
"48", 
"49", 
"50", 
"51", 
"52", 
"53", 
"54", 
"55", 
"56", 
"57", 
"58", 
"59", 
"60", 
"61", 
"62", 
"63", 
"64", 
"65", 
"66", 
"67", 
"68", 
"69", 
"70", 
"71", 
"72", 
"73", 
"74", 
"75 e +")) 


CLETAD_Fact <- factor(DF_RCFL_A2016$CLETAD, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8"), 
labels=c("0-14", 
"15-24", 
"25-34", 
"35-44", 
"45-54", 
"55-64", 
"65-74", 
"75 e +")) 


CLETAQ_Fact <- factor(DF_RCFL_A2016$CLETAQ, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14"), 
labels=c("0-14", 
"15-19", 
"20-24", 
"25-29", 
"30-34", 
"35-39", 
"40-44", 
"45-49", 
"50-54", 
"55-59", 
"60-64", 
"65-69", 
"70-74", 
"75 e +")) 


CLETAS_Fact <- factor(DF_RCFL_A2016$CLETAS, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17"), 
labels=c("'0-2", 
"'3-5", 
"'6-10", 
"'11-14", 
"15-19", 
"20-24", 
"25-29", 
"30-34", 
"35-39", 
"40-44", 
"45-49", 
"50-54", 
"55-59", 
"60-64", 
"65-69", 
"70-74", 
"75 e +")) 


CITTAD_Fact <- factor(DF_RCFL_A2016$CITTAD, 
levels=c("1", 
"2", 
"3"), 
labels=c("citt. italiano", 
"citt. straniero UE", 
"citt. straniero NON UE")) 


NASSES_Fact <- factor(DF_RCFL_A2016$NASSES, 
levels=c("201", 
"202", 
"203", 
"206", 
"209", 
"212", 
"214", 
"215", 
"216", 
"219", 
"220", 
"221", 
"223", 
"225", 
"226", 
"227", 
"229", 
"231", 
"232", 
"233", 
"234", 
"235", 
"236", 
"239", 
"240", 
"241", 
"243", 
"244", 
"245", 
"246", 
"247", 
"248", 
"249", 
"250", 
"251", 
"252", 
"253", 
"254", 
"255", 
"256", 
"257", 
"270", 
"271", 
"272", 
"301", 
"302", 
"304", 
"305", 
"306", 
"307", 
"309", 
"310", 
"311", 
"314", 
"315", 
"319", 
"320", 
"322", 
"323", 
"324", 
"326", 
"327", 
"330", 
"331", 
"332", 
"333", 
"334", 
"335", 
"336", 
"337", 
"338", 
"339", 
"340", 
"341", 
"342", 
"343", 
"344", 
"345", 
"346", 
"348", 
"349", 
"351", 
"353", 
"354", 
"356", 
"357", 
"358", 
"359", 
"360", 
"361", 
"362", 
"363", 
"364", 
"401", 
"402", 
"404", 
"406", 
"408", 
"409", 
"410", 
"411", 
"413", 
"414", 
"415", 
"417", 
"418", 
"419", 
"420", 
"421", 
"422", 
"423", 
"424", 
"425", 
"426", 
"427", 
"428", 
"429", 
"430", 
"431", 
"432", 
"434", 
"435", 
"436", 
"437", 
"438", 
"440", 
"441", 
"442", 
"443", 
"446", 
"448", 
"449", 
"450", 
"451", 
"453", 
"454", 
"455", 
"456", 
"457", 
"458", 
"460", 
"461", 
"463", 
"464", 
"465", 
"466", 
"467", 
"503", 
"505", 
"506", 
"507", 
"509", 
"513", 
"514", 
"515", 
"516", 
"517", 
"518", 
"519", 
"523", 
"524", 
"525", 
"527", 
"529", 
"530", 
"532", 
"533", 
"534", 
"536", 
"602", 
"604", 
"605", 
"606", 
"608", 
"609", 
"612", 
"614", 
"615", 
"616", 
"617", 
"618", 
"619", 
"701", 
"703", 
"708", 
"712", 
"713", 
"715", 
"719", 
"720", 
"721", 
"725", 
"727", 
"730", 
"731", 
"732"), 
labels=c("Albania", 
"Andorra", 
"Austria", 
"Belgio", 
"Bulgaria", 
"Danimarca", 
"Finlandia", 
"Francia", 
"Germania", 
"Regno Unito", 
"Grecia", 
"Irlanda", 
"Islanda", 
"Liechtenstein", 
"Lussemburgo", 
"Malta", 
"Monaco", 
"Norvegia", 
"Paesi Bassi", 
"Polonia", 
"Portogallo", 
"Romania", 
"San Marino", 
"Spagna", 
"Svezia", 
"Svizzera", 
"Ucraina", 
"Ungheria", 
"Russa, Federazione", 
"Vaticano, Citt", 
"Estonia", 
"Lettonia", 
"Lituania", 
"Croazia", 
"Slovenia", 
"Bosnia-Erzegovina", 
"Macedonia, ex-Rep. Jugoslavia", 
"Moldavia", 
"Slovacchia", 
"Bielorussia", 
"Ceca, Repubblica", 
"Montenegro", 
"Serbia", 
"Kosovo", 
"Afghanistan", 
"Arabia Saudita", 
"Bahrein", 
"Bangladesh", 
"Bhutan", 
"Myanmar (Birmania)", 
"Brunei", 
"Cambogia", 
"Sri Lanka (Ceylon)", 
"Cinese, Repubblica Popolare", 
"Cipro", 
"Corea, Repubblica Popolare (Nord)", 
"Corea, Repubblica (Sud)", 
"Emirati Arabi Uniti", 
"Filippine", 
"Palestina", 
"Giappone", 
"Giordania", 
"India", 
"Indonesia", 
"Iran", 
"Iraq", 
"Israele", 
"Kuwait", 
"Laos", 
"Libano", 
"Timor orientale", 
"Maldive", 
"Malaysia", 
"Mongolia", 
"Nepal", 
"Oman", 
"Pakistan", 
"Qatar", 
"Singapore", 
"Siria", 
"Thailandia", 
"Turchia", 
"Vietnam", 
"Yemen", 
"Kazakistan", 
"Uzbekistan", 
"Armenia", 
"Azerbaigian", 
"Georgia", 
"Kirghizistan", 
"Tagikistan", 
"Taiwan (Formosa)", 
"Turkmenistan", 
"Algeria", 
"Angola", 
"Costa d'Avorio", 
"Benin (Dahomey)", 
"Botswana", 
"Burkina Faso (Alto Volta)", 
"Burundi", 
"Camerun", 
"Capo Verde", 
"Centrafricana, Rep.", 
"Ciad", 
"Comore", 
"Congo", 
"Egitto", 
"Etiopia", 
"Gabon", 
"Gambia", 
"Ghana", 
"Gibuti", 
"Guinea", 
"Guinea Bissau", 
"Guinea Equatoriale", 
"Kenia", 
"Lesotho", 
"Liberia", 
"Libia", 
"Madagascar", 
"Malawi", 
"Mali", 
"Marocco", 
"Mauritania", 
"Maurizio", 
"Mozambico", 
"Namibia", 
"Niger", 
"Nigeria", 
"Ruanda", 
"Sao Tom e Principe", 
"Seycelles", 
"Senegal", 
"Sierra Leone", 
"Somalia", 
"Sudafricana, Rep.", 
"Sudan", 
"Swaziland", 
"Tanzania", 
"Togo", 
"Tunisia", 
"Uganda", 
"Congo, Rep.Dem. (Zaire)", 
"Zambia", 
"Zimbabwe (Rhodesia)", 
"Eritrea", 
"Sud Sudan, Repubblica", 
"Antigua e Barbuda", 
"Bahama", 
"Barbados", 
"Belize", 
"Canada", 
"Costarica", 
"Cuba", 
"Dominica", 
"Dominicana, Rep.", 
"El Salvador", 
"Giamaica", 
"Grenada", 
"Guatemala", 
"Haiti", 
"Honduras", 
"Messico", 
"Nicaragua", 
"Panama", 
"Saint Lucia", 
"Saint Vincent e Grenadine", 
"Saint Kitts e Nevis", 
"Stati Uniti d'America", 
"Argentina", 
"Bolivia", 
"Brasile", 
"Cile", 
"Colombia", 
"Ecuador", 
"Guyana", 
"Paraguay", 
"Per", 
"Suriname", 
"Trinidad e Tobago", 
"Uruguay", 
"Venezuela", 
"Australia", 
"Figi", 
"Kiribati", 
"Marshall, Isole", 
"Micronesia, Stati Federati", 
"Nauru", 
"Nuova Zelanda", 
"Palau", 
"Papua Nuova Guinea", 
"Salomone", 
"Samoa", 
"Tonga", 
"Tuvalu", 
"Vanuatu")) 


CITSES_Fact <- factor(DF_RCFL_A2016$CITSES, 
levels=c("201", 
"202", 
"203", 
"206", 
"209", 
"212", 
"214", 
"215", 
"216", 
"219", 
"220", 
"221", 
"223", 
"225", 
"226", 
"227", 
"229", 
"231", 
"232", 
"233", 
"234", 
"235", 
"236", 
"239", 
"240", 
"241", 
"243", 
"244", 
"245", 
"246", 
"247", 
"248", 
"249", 
"250", 
"251", 
"252", 
"253", 
"254", 
"255", 
"256", 
"257", 
"270", 
"271", 
"272", 
"301", 
"302", 
"304", 
"305", 
"306", 
"307", 
"309", 
"310", 
"311", 
"314", 
"315", 
"319", 
"320", 
"322", 
"323", 
"324", 
"326", 
"327", 
"330", 
"331", 
"332", 
"333", 
"334", 
"335", 
"336", 
"337", 
"338", 
"339", 
"340", 
"341", 
"342", 
"343", 
"344", 
"345", 
"346", 
"348", 
"349", 
"351", 
"353", 
"354", 
"356", 
"357", 
"358", 
"359", 
"360", 
"361", 
"362", 
"363", 
"364", 
"401", 
"402", 
"404", 
"406", 
"408", 
"409", 
"410", 
"411", 
"413", 
"414", 
"415", 
"417", 
"418", 
"419", 
"420", 
"421", 
"422", 
"423", 
"424", 
"425", 
"426", 
"427", 
"428", 
"429", 
"430", 
"431", 
"432", 
"434", 
"435", 
"436", 
"437", 
"438", 
"440", 
"441", 
"442", 
"443", 
"446", 
"448", 
"449", 
"450", 
"451", 
"453", 
"454", 
"455", 
"456", 
"457", 
"458", 
"460", 
"461", 
"463", 
"464", 
"465", 
"466", 
"467", 
"503", 
"505", 
"506", 
"507", 
"509", 
"513", 
"514", 
"515", 
"516", 
"517", 
"518", 
"519", 
"523", 
"524", 
"525", 
"527", 
"529", 
"530", 
"532", 
"533", 
"534", 
"536", 
"602", 
"604", 
"605", 
"606", 
"608", 
"609", 
"612", 
"614", 
"615", 
"616", 
"617", 
"618", 
"619", 
"701", 
"703", 
"708", 
"712", 
"713", 
"715", 
"719", 
"720", 
"721", 
"725", 
"727", 
"730", 
"731", 
"732", 
"999"), 
labels=c("Albania", 
"Andorra", 
"Austria", 
"Belgio", 
"Bulgaria", 
"Danimarca", 
"Finlandia", 
"Francia", 
"Germania", 
"Regno Unito", 
"Grecia", 
"Irlanda", 
"Islanda", 
"Liechtenstein", 
"Lussemburgo", 
"Malta", 
"Monaco", 
"Norvegia", 
"Paesi Bassi", 
"Polonia", 
"Portogallo", 
"Romania", 
"San Marino", 
"Spagna", 
"Svezia", 
"Svizzera", 
"Ucraina", 
"Ungheria", 
"Russa, Federazione", 
"Vaticano, Citt", 
"Estonia", 
"Lettonia", 
"Lituania", 
"Croazia", 
"Slovenia", 
"Bosnia-Erzegovina", 
"Macedonia, ex-Rep. Jugoslavia", 
"Moldavia", 
"Slovacchia", 
"Bielorussia", 
"Ceca, Repubblica", 
"Montenegro", 
"Serbia", 
"Kossovo", 
"Afghanistan", 
"Arabia Saudita", 
"Bahrein", 
"Bangladesh", 
"Bhutan", 
"Myanmar (Birmania)", 
"Brunei", 
"Cambogia", 
"Sri Lanka (Ceylon)", 
"Cinese, Repubblica Popolare", 
"Cipro", 
"Corea, Repubblica Popolare (Nord)", 
"Corea, Repubblica (Sud)", 
"Emirati Arabi Uniti", 
"Filippine", 
"Palestina", 
"Giappone", 
"Giordania", 
"India", 
"Indonesia", 
"Iran", 
"Iraq", 
"Israele", 
"Kuwait", 
"Laos", 
"Libano", 
"Timor orientale", 
"Maldive", 
"Malaysia", 
"Mongolia", 
"Nepal", 
"Oman", 
"Pakistan", 
"Qatar", 
"Singapore", 
"Siria", 
"Thailandia", 
"Turchia", 
"Vietnam", 
"Yemen", 
"Kazakistan", 
"Uzbekistan", 
"Armenia", 
"Azerbaigian", 
"Georgia", 
"Kirghizistan", 
"Tagikistan", 
"Taiwan (Formosa)", 
"Turkmenistan", 
"Algeria", 
"Angola", 
"Costa d'Avorio", 
"Benin (Dahomey)", 
"Botswana", 
"Burkina Faso (Alto Volta)", 
"Burundi", 
"Camerun", 
"Capo Verde", 
"Centrafricana, Rep.", 
"Ciad", 
"Comore", 
"Congo", 
"Egitto", 
"Etiopia", 
"Gabon", 
"Gambia", 
"Ghana", 
"Gibuti", 
"Guinea", 
"Guinea Bissau", 
"Guinea Equatoriale", 
"Kenia", 
"Lesotho", 
"Liberia", 
"Libia", 
"Madagascar", 
"Malawi", 
"Mali", 
"Marocco", 
"Mauritania", 
"Maurizio", 
"Mozambico", 
"Namibia", 
"Niger", 
"Nigeria", 
"Ruanda", 
"Sao Tom e Principe", 
"Seycelles", 
"Senegal", 
"Sierra Leone", 
"Somalia", 
"Sudafricana, Rep.", 
"Sudan", 
"Swaziland", 
"Tanzania", 
"Togo", 
"Tunisia", 
"Uganda", 
"Congo, Rep.Dem. (Zaire)", 
"Zambia", 
"Zimbabwe (Rhodesia)", 
"Eritrea", 
"Sud Sudan, Repubblica", 
"Antigua e Barbuda", 
"Bahama", 
"Barbados", 
"Belize", 
"Canada", 
"Costarica", 
"Cuba", 
"Dominica", 
"Dominicana, Rep.", 
"El Salvador", 
"Giamaica", 
"Grenada", 
"Guatemala", 
"Haiti", 
"Honduras", 
"Messico", 
"Nicaragua", 
"Panama", 
"Saint Lucia", 
"Saint Vincent e Grenadine", 
"Saint Kitts e Nevis", 
"Stati Uniti d'America", 
"Argentina", 
"Bolivia", 
"Brasile", 
"Cile", 
"Colombia", 
"Ecuador", 
"Guyana", 
"Paraguay", 
"Per", 
"Suriname", 
"Trinidad e Tobago", 
"Uruguay", 
"Venezuela", 
"Australia", 
"Figi", 
"Kiribati", 
"Marshall, Isole", 
"Micronesia, Stati Federati", 
"Nauru", 
"Nuova Zelanda", 
"Palau", 
"Papua Nuova Guinea", 
"Salomone", 
"Samoa", 
"Tonga", 
"Tuvalu", 
"Vanuatu", 
"Apolide")) 


LLASES_Fact <- factor(DF_RCFL_A2016$LLASES, 
levels=c("201", 
"202", 
"203", 
"206", 
"209", 
"212", 
"214", 
"215", 
"216", 
"219", 
"220", 
"221", 
"223", 
"225", 
"226", 
"227", 
"229", 
"231", 
"232", 
"233", 
"234", 
"235", 
"236", 
"239", 
"240", 
"241", 
"243", 
"244", 
"245", 
"246", 
"247", 
"248", 
"249", 
"250", 
"251", 
"252", 
"253", 
"254", 
"255", 
"256", 
"257", 
"270", 
"271", 
"272", 
"301", 
"302", 
"304", 
"305", 
"306", 
"307", 
"309", 
"310", 
"311", 
"314", 
"315", 
"319", 
"320", 
"322", 
"323", 
"324", 
"326", 
"327", 
"330", 
"331", 
"332", 
"333", 
"334", 
"335", 
"336", 
"337", 
"338", 
"339", 
"340", 
"341", 
"342", 
"343", 
"344", 
"345", 
"346", 
"348", 
"349", 
"351", 
"353", 
"354", 
"356", 
"357", 
"358", 
"359", 
"360", 
"361", 
"362", 
"363", 
"364", 
"401", 
"402", 
"404", 
"406", 
"408", 
"409", 
"410", 
"411", 
"413", 
"414", 
"415", 
"417", 
"418", 
"419", 
"420", 
"421", 
"422", 
"423", 
"424", 
"425", 
"426", 
"427", 
"428", 
"429", 
"430", 
"431", 
"432", 
"434", 
"435", 
"436", 
"437", 
"438", 
"440", 
"441", 
"442", 
"443", 
"446", 
"448", 
"449", 
"450", 
"451", 
"453", 
"454", 
"455", 
"456", 
"457", 
"458", 
"460", 
"461", 
"463", 
"464", 
"465", 
"466", 
"467", 
"503", 
"505", 
"506", 
"507", 
"509", 
"513", 
"514", 
"515", 
"516", 
"517", 
"518", 
"519", 
"523", 
"524", 
"525", 
"527", 
"529", 
"530", 
"532", 
"533", 
"534", 
"536", 
"602", 
"604", 
"605", 
"606", 
"608", 
"609", 
"612", 
"614", 
"615", 
"616", 
"617", 
"618", 
"619", 
"701", 
"703", 
"708", 
"712", 
"713", 
"715", 
"719", 
"720", 
"721", 
"725", 
"727", 
"730", 
"731", 
"732"), 
labels=c("Albania", 
"Andorra", 
"Austria", 
"Belgio", 
"Bulgaria", 
"Danimarca", 
"Finlandia", 
"Francia", 
"Germania", 
"Regno Unito", 
"Grecia", 
"Irlanda", 
"Islanda", 
"Liechtenstein", 
"Lussemburgo", 
"Malta", 
"Monaco", 
"Norvegia", 
"Paesi Bassi", 
"Polonia", 
"Portogallo", 
"Romania", 
"San Marino", 
"Spagna", 
"Svezia", 
"Svizzera", 
"Ucraina", 
"Ungheria", 
"Russa, Federazione", 
"Vaticano, Citt", 
"Estonia", 
"Lettonia", 
"Lituania", 
"Croazia", 
"Slovenia", 
"Bosnia-Erzegovina", 
"Macedonia, ex-Rep. Jugoslavia", 
"Moldavia", 
"Slovacchia", 
"Bielorussia", 
"Ceca, Repubblica", 
"Montenegro", 
"Serbia", 
"Kosovo", 
"Afghanistan", 
"Arabia Saudita", 
"Bahrein", 
"Bangladesh", 
"Bhutan", 
"Myanmar (Birmania)", 
"Brunei", 
"Cambogia", 
"Sri Lanka (Ceylon)", 
"Cinese, Repubblica Popolare", 
"Cipro", 
"Corea, Repubblica Popolare (Nord)", 
"Corea, Repubblica (Sud)", 
"Emirati Arabi Uniti", 
"Filippine", 
"Palestina", 
"Giappone", 
"Giordania", 
"India", 
"Indonesia", 
"Iran", 
"Iraq", 
"Israele", 
"Kuwait", 
"Laos", 
"Libano", 
"Timor orientale", 
"Maldive", 
"Malaysia", 
"Mongolia", 
"Nepal", 
"Oman", 
"Pakistan", 
"Qatar", 
"Singapore", 
"Siria", 
"Thailandia", 
"Turchia", 
"Vietnam", 
"Yemen", 
"Kazakistan", 
"Uzbekistan", 
"Armenia", 
"Azerbaigian", 
"Georgia", 
"Kirghizistan", 
"Tagikistan", 
"Taiwan (Formosa)", 
"Turkmenistan", 
"Algeria", 
"Angola", 
"Costa d'Avorio", 
"Benin (Dahomey)", 
"Botswana", 
"Burkina Faso (Alto Volta)", 
"Burundi", 
"Camerun", 
"Capo Verde", 
"Centrafricana, Rep.", 
"Ciad", 
"Comore", 
"Congo", 
"Egitto", 
"Etiopia", 
"Gabon", 
"Gambia", 
"Ghana", 
"Gibuti", 
"Guinea", 
"Guinea Bissau", 
"Guinea Equatoriale", 
"Kenia", 
"Lesotho", 
"Liberia", 
"Libia", 
"Madagascar", 
"Malawi", 
"Mali", 
"Marocco", 
"Mauritania", 
"Maurizio", 
"Mozambico", 
"Namibia", 
"Niger", 
"Nigeria", 
"Ruanda", 
"Sao Tom e Principe", 
"Seycelles", 
"Senegal", 
"Sierra Leone", 
"Somalia", 
"Sudafricana, Rep.", 
"Sudan", 
"Swaziland", 
"Tanzania", 
"Togo", 
"Tunisia", 
"Uganda", 
"Congo, Rep.Dem. (Zaire)", 
"Zambia", 
"Zimbabwe (Rhodesia)", 
"Eritrea", 
"Sud Sudan, Repubblica", 
"Antigua e Barbuda", 
"Bahama", 
"Barbados", 
"Belize", 
"Canada", 
"Costarica", 
"Cuba", 
"Dominica", 
"Dominicana, Rep.", 
"El Salvador", 
"Giamaica", 
"Grenada", 
"Guatemala", 
"Haiti", 
"Honduras", 
"Messico", 
"Nicaragua", 
"Panama", 
"Saint Lucia", 
"Saint Vincent e Grenadine", 
"Saint Kitts e Nevis", 
"Stati Uniti d'America", 
"Argentina", 
"Bolivia", 
"Brasile", 
"Cile", 
"Colombia", 
"Ecuador", 
"Guyana", 
"Paraguay", 
"Per", 
"Suriname", 
"Trinidad e Tobago", 
"Uruguay", 
"Venezuela", 
"Australia", 
"Figi", 
"Kiribati", 
"Marshall, Isole", 
"Micronesia, Stati Federati", 
"Nauru", 
"Nuova Zelanda", 
"Palau", 
"Papua Nuova Guinea", 
"Salomone", 
"Samoa", 
"Tonga", 
"Tuvalu", 
"Vanuatu")) 


RAPSES_Fact <- factor(DF_RCFL_A2016$RAPSES, 
levels=c("201", 
"202", 
"203", 
"206", 
"209", 
"212", 
"214", 
"215", 
"216", 
"219", 
"220", 
"221", 
"223", 
"225", 
"226", 
"227", 
"229", 
"231", 
"232", 
"233", 
"234", 
"235", 
"236", 
"239", 
"240", 
"241", 
"243", 
"244", 
"245", 
"246", 
"247", 
"248", 
"249", 
"250", 
"251", 
"252", 
"253", 
"254", 
"255", 
"256", 
"257", 
"270", 
"271", 
"272", 
"301", 
"302", 
"304", 
"305", 
"306", 
"307", 
"309", 
"310", 
"311", 
"314", 
"315", 
"319", 
"320", 
"322", 
"323", 
"324", 
"326", 
"327", 
"330", 
"331", 
"332", 
"333", 
"334", 
"335", 
"336", 
"337", 
"338", 
"339", 
"340", 
"341", 
"342", 
"343", 
"344", 
"345", 
"346", 
"348", 
"349", 
"351", 
"353", 
"354", 
"356", 
"357", 
"358", 
"359", 
"360", 
"361", 
"362", 
"363", 
"364", 
"401", 
"402", 
"404", 
"406", 
"408", 
"409", 
"410", 
"411", 
"413", 
"414", 
"415", 
"417", 
"418", 
"419", 
"420", 
"421", 
"422", 
"423", 
"424", 
"425", 
"426", 
"427", 
"428", 
"429", 
"430", 
"431", 
"432", 
"434", 
"435", 
"436", 
"437", 
"438", 
"440", 
"441", 
"442", 
"443", 
"446", 
"448", 
"449", 
"450", 
"451", 
"453", 
"454", 
"455", 
"456", 
"457", 
"458", 
"460", 
"461", 
"463", 
"464", 
"465", 
"466", 
"467", 
"503", 
"505", 
"506", 
"507", 
"509", 
"513", 
"514", 
"515", 
"516", 
"517", 
"518", 
"519", 
"523", 
"524", 
"525", 
"527", 
"529", 
"530", 
"532", 
"533", 
"534", 
"536", 
"602", 
"604", 
"605", 
"606", 
"608", 
"609", 
"612", 
"614", 
"615", 
"616", 
"617", 
"618", 
"619", 
"701", 
"703", 
"708", 
"712", 
"713", 
"715", 
"719", 
"720", 
"721", 
"725", 
"727", 
"730", 
"731", 
"732"), 
labels=c("Albania", 
"Andorra", 
"Austria", 
"Belgio", 
"Bulgaria", 
"Danimarca", 
"Finlandia", 
"Francia", 
"Germania", 
"Regno Unito", 
"Grecia", 
"Irlanda", 
"Islanda", 
"Liechtenstein", 
"Lussemburgo", 
"Malta", 
"Monaco", 
"Norvegia", 
"Paesi Bassi", 
"Polonia", 
"Portogallo", 
"Romania", 
"San Marino", 
"Spagna", 
"Svezia", 
"Svizzera", 
"Ucraina", 
"Ungheria", 
"Russa, Federazione", 
"Vaticano, Citt", 
"Estonia", 
"Lettonia", 
"Lituania", 
"Croazia", 
"Slovenia", 
"Bosnia-Erzegovina", 
"Macedonia, ex-Rep. Jugoslavia", 
"Moldavia", 
"Slovacchia", 
"Bielorussia", 
"Ceca, Repubblica", 
"Montenegro", 
"Serbia", 
"Kosovo", 
"Afghanistan", 
"Arabia Saudita", 
"Bahrein", 
"Bangladesh", 
"Bhutan", 
"Myanmar (Birmania)", 
"Brunei", 
"Cambogia", 
"Sri Lanka (Ceylon)", 
"Cinese, Repubblica Popolare", 
"Cipro", 
"Corea, Repubblica Popolare (Nord)", 
"Corea, Repubblica (Sud)", 
"Emirati Arabi Uniti", 
"Filippine", 
"Palestina", 
"Giappone", 
"Giordania", 
"India", 
"Indonesia", 
"Iran", 
"Iraq", 
"Israele", 
"Kuwait", 
"Laos", 
"Libano", 
"Timor orientale", 
"Maldive", 
"Malaysia", 
"Mongolia", 
"Nepal", 
"Oman", 
"Pakistan", 
"Qatar", 
"Singapore", 
"Siria", 
"Thailandia", 
"Turchia", 
"Vietnam", 
"Yemen", 
"Kazakistan", 
"Uzbekistan", 
"Armenia", 
"Azerbaigian", 
"Georgia", 
"Kirghizistan", 
"Tagikistan", 
"Taiwan (Formosa)", 
"Turkmenistan", 
"Algeria", 
"Angola", 
"Costa d'Avorio", 
"Benin (Dahomey)", 
"Botswana", 
"Burkina Faso (Alto Volta)", 
"Burundi", 
"Camerun", 
"Capo Verde", 
"Centrafricana, Rep.", 
"Ciad", 
"Comore", 
"Congo", 
"Egitto", 
"Etiopia", 
"Gabon", 
"Gambia", 
"Ghana", 
"Gibuti", 
"Guinea", 
"Guinea Bissau", 
"Guinea Equatoriale", 
"Kenia", 
"Lesotho", 
"Liberia", 
"Libia", 
"Madagascar", 
"Malawi", 
"Mali", 
"Marocco", 
"Mauritania", 
"Maurizio", 
"Mozambico", 
"Namibia", 
"Niger", 
"Nigeria", 
"Ruanda", 
"Sao Tom e Principe", 
"Seycelles", 
"Senegal", 
"Sierra Leone", 
"Somalia", 
"Sudafricana, Rep.", 
"Sudan", 
"Swaziland", 
"Tanzania", 
"Togo", 
"Tunisia", 
"Uganda", 
"Congo, Rep.Dem. (Zaire)", 
"Zambia", 
"Zimbabwe (Rhodesia)", 
"Eritrea", 
"Sud Sudan, Repubblica", 
"Antigua e Barbuda", 
"Bahama", 
"Barbados", 
"Belize", 
"Canada", 
"Costarica", 
"Cuba", 
"Dominica", 
"Dominicana, Rep.", 
"El Salvador", 
"Giamaica", 
"Grenada", 
"Guatemala", 
"Haiti", 
"Honduras", 
"Messico", 
"Nicaragua", 
"Panama", 
"Saint Lucia", 
"Saint Vincent e Grenadine", 
"Saint Kitts e Nevis", 
"Stati Uniti d'America", 
"Argentina", 
"Bolivia", 
"Brasile", 
"Cile", 
"Colombia", 
"Ecuador", 
"Guyana", 
"Paraguay", 
"Per", 
"Suriname", 
"Trinidad e Tobago", 
"Uruguay", 
"Venezuela", 
"Australia", 
"Figi", 
"Kiribati", 
"Marshall, Isole", 
"Micronesia, Stati Federati", 
"Nauru", 
"Nuova Zelanda", 
"Palau", 
"Papua Nuova Guinea", 
"Salomone", 
"Samoa", 
"Tonga", 
"Tuvalu", 
"Vanuatu")) 


COND3_Fact <- factor(DF_RCFL_A2016$COND3, 
levels=c("1", 
"2", 
"3"), 
labels=c("occupati", 
"persone in cerca", 
"inattivi")) 


COND10_Fact <- factor(DF_RCFL_A2016$COND10, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10"), 
labels=c("occupati", 
"persone in cerca, con precedenti esperienze, ex-occupati", 
"persone in cerca, con precedenti esperienze, ex-inattivi", 
"persone in cerca, senza precedenti esperienze", 
"inattivi in et lav., cercano non attivamente ma disponibili", 
"inattivi in et lav., cercano ma non disponibili", 
"inattivi in et lav., non cercano ma disponibili", 
"inattivi in et lav., non cercano e non disponibili (anche militari di leva e inabili al lavoro)", 
"inattivi in et non lav., meno di 15 anni", 
"inattivi in et non lav., pi di 64 anni")) 


DIPAUT_Fact <- factor(DF_RCFL_A2016$DIPAUT, 
levels=c("1", 
"2", 
"3"), 
labels=c("dipendente", 
"collaboratore", 
"autonomo")) 


DIPIND_Fact <- factor(DF_RCFL_A2016$DIPIND, 
levels=c("1", 
"2"), 
labels=c("Dipendente", 
"Indipendente")) 


ASSOCC_Fact <- factor(DF_RCFL_A2016$ASSOCC, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


POSPRO_Fact <- factor(DF_RCFL_A2016$POSPRO, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13"), 
labels=c("Dirigente", 
"Quadro", 
"Impiegato", 
"Operaio", 
"Apprendista", 
"Lavoratore presso il proprio domicilio per conto di un impresa", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Socio di cooperativa", 
"Coadiuvante nell azienda di un familiare", 
"Collaborazione coordinata e continuativa", 
"Prestazione d opera occasionale")) 


DETIND_Fact <- factor(DF_RCFL_A2016$DETIND, 
levels=c("1", 
"2"), 
labels=c("tempo determinato", 
"tempo indeterminato")) 


PIEPAR_Fact <- factor(DF_RCFL_A2016$PIEPAR, 
levels=c("1", 
"2"), 
labels=c("tempo pieno", 
"tempo parziale")) 


INIATT_Fact <- factor(DF_RCFL_A2016$INIATT, 
levels=c("001", 
"002", 
"997"), 
labels=c("nelle ultime 13 settimane", 
"oltre 13 settimane", 
"non sa")) 


PROF1_Fact <- factor(DF_RCFL_A2016$PROF1, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("LEGISLATORI, IMPRENDITORI E ALTA DIRIGENZA", 
"PROFESSIONI INTELLETTUALI, SCIENTIFICHE E DI ELEVATA SPECIALIZZAZIONE", 
"PROFESSIONI TECNICHE", 
"PROFESSIONI ESECUTIVE NEL LAVORO D'UFFICIO", 
"PROFESSIONI QUALIFICATE NELLE ATTIVITA' COMMERCIALI E NEI SERVIZI", 
"ARTIGIANI, OPERAI SPECIALIZZATI E AGRICOLTORI", 
"CONDUTTORI DI IMPIANTI, OPERAI DI MACCHINARI FISSI E MOBILI E CONDUCENTI DI VEICOLI", 
"PROFESSIONI NON QUALIFICATE", 
"FORZE ARMATE")) 


ATE2D_Fact <- factor(DF_RCFL_A2016$ATE2D, 
levels=c("01", 
"02", 
"03", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"27", 
"28", 
"29", 
"30", 
"31", 
"32", 
"33", 
"35", 
"36", 
"37", 
"38", 
"39", 
"41", 
"42", 
"43", 
"45", 
"46", 
"47", 
"49", 
"50", 
"51", 
"52", 
"53", 
"55", 
"56", 
"58", 
"59", 
"60", 
"61", 
"62", 
"63", 
"64", 
"65", 
"66", 
"68", 
"69", 
"70", 
"71", 
"72", 
"73", 
"74", 
"75", 
"77", 
"78", 
"79", 
"80", 
"81", 
"82", 
"84", 
"85", 
"86", 
"87", 
"88", 
"90", 
"91", 
"92", 
"93", 
"94", 
"95", 
"96", 
"97", 
"98", 
"99"), 
labels=c("coltivazioni agricole e produzione di prodotti animali, caccia e servizi connessi", 
"silvicoltura ed utilizzo di aree forestali", 
"pesca e acquacoltura", 
"estrazione di carbone (esclusa torba)", 
"estrazione di petrolio greggio e di gas naturale", 
"estrazione di minerali metalliferi", 
"altre attivit di estrazione di minerali da cave e miniere", 
"attivit dei servizi di supporto all'estrazione", 
"industrie alimentari", 
"industria delle bevande", 
"industria del tabacco", 
"industrie tessili", 
"confezione di articoli di abbigliamento; confezione di articoli in pelle e pelliccia", 
"fabbricazione di articoli in pelle e simili", 
"industria del legno e dei prodotti in legno e sughero (esclusi i mobili); fabbricazione di articoli in paglia e materiali da intreccio", 
"fabbricazione di carta e di prodotti di carta", 
"stampa e riproduzione di supporti registrati", 
"fabbricazione di coke e prodotti derivanti dalla raffinazione del petrolio", 
"fabbricazione di prodotti chimici", 
"fabbricazione di prodotti farmaceutici di base e di preparati farmaceutici", 
"fabbricazione di articoli in gomma e materie plastiche", 
"fabbricazione di altri prodotti della lavorazione di minerali non metalliferi", 
"metallurgia", 
"fabbricazione di prodotti in metallo (esclusi macchinari e attrezzature)", 
"fabbricazione di computer e prodotti di elettronica  e ottica; apparecchi elettromedicali, apparecchi di misurazione e di orologi", 
"fabbricazione di apparecchiature elettriche ed apparecchiature per uso domestico non elettriche", 
"fabbricazione di macchinari ed apparecchiature nca", 
"fabbricazione di autoveicoli, rimorchi e semirimorchi", 
"fabbricazione di altri mezzi di trasporto", 
"fabbricazione di mobili", 
"altre industrie manifatturiere", 
"riparazione, manutenzione ed installazione di macchine ed apparecchiature", 
"fornitura di energia elettrica, gas, vapore e aria condizionata", 
"raccolta, trattamento e fornitura di acqua", 
"gestione delle reti fognarie", 
"attivit di raccolta, trattamento e smaltimento dei rifiuti; recupero dei materiali", 
"attivit di risanamento e altri servizi di gestione dei rifiuti", 
"costruzione di edifici", 
"ingegneria civile", 
"lavori di costruzione specializzati", 
"commercio all'ingrosso e al dettaglio e riparazione di autoveicoli e motocicli", 
"commercio all'ingrosso (escluso quello di autoveicoli e di motocicli)", 
"commercio al dettaglio (escluso quello di autoveicoli e di motocicli)", 
"trasporto terrestre e trasporto mediante condotte", 
"trasporto marittimo e per vie d'acqua", 
"trasporto aereo", 
"magazzinaggio e attivit di supporto ai trasporti", 
"servizi postali e attivit di corriere", 
"alloggio", 
"attivit dei servizi di ristorazione", 
"attivit editoriali", 
"attivit di produzione cinematografica, di video e di programmi televisivi, di registrazioni musicali e sonore", 
"attivit di programmazione e trasmissione", 
"telecomunicazioni", 
"produzione di software, consulenza informatica e attivit connesse", 
"attivit dei servizi d'informazione e altri servizi informatici", 
"attivit di servizi finanziari (escluse le assicurazioni e i fondi pensione)", 
"assicurazioni, riassicurazioni e fondi pensione (escluse le assicurazioni sociali obbligatorie)", 
"attivit ausiliarie dei servizi finanziari e delle attivit assicurative", 
"attivit immobiliari", 
"attivit legali e contabilit", 
"attivit di direzione aziendale e di consulenza gestionale", 
"attivit degli studi di architettura e d'ingegneria; collaudi ed analisi tecniche", 
"ricerca scientifica e sviluppo", 
"pubblicit e ricerche di mercato", 
"altre attivit professionali, scientifiche e tecniche", 
"servizi veterinari", 
"attivit di noleggio e leasing operativo", 
"attivit di ricerca, selezione, fornitura di personale", 
"attivit dei servizi delle agenzie di viaggio, dei tour operator e servizi di prenotazione e attivit connesse", 
"servizi di vigilanza e investigazione", 
"attivit di servizi per edifici e paesaggio", 
"attivit di supporto per le funzioni d'ufficio e altri servizi di supporto alle imprese", 
"amministrazione pubblica e difesa; assicurazione sociale obbligatoria", 
"istruzione", 
"assistenza sanitaria", 
"servizi di assistenza sociale residenziale", 
"assistenza sociale non residenziale", 
"attivit creative, artistiche e di intrattenimento", 
"attivit di biblioteche, archivi, musei ed altre attivit culturali", 
"attivit riguardanti le lotterie, le scommesse, le case da gioco", 
"attivit sportive, di intrattenimento e di divertimento", 
"attivit di organizzazioni associative", 
"riparazione di computer e di beni per uso personale e per la casa", 
"altre attivit di servizi per la persona", 
"attivit di famiglie e convivenze come datori di lavoro per personale domestico", 
"produzione di beni e servizi indifferenziati  per uso proprio da parte di  famiglie e convivenze", 
"organizzazioni ed organismi extraterritoriali")) 


CAT12_Fact <- factor(DF_RCFL_A2016$CAT12, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12"), 
labels=c("Agricoltura, silvicoltura e pesca", 
"Industria in senso stretto", 
"Costruzioni", 
"Commercio", 
"Alberghi e ristoranti", 
"Trasporto e magazzinaggio", 
"Servizi di informazione e comunicazione", 
"Attivit finanziarie e assicurative", 
"Attivit immobiliari, servizi alle imprese e altre attivit professionali e imprenditoriali", 
"Amministrazione pubblica e difesa assicurazione sociale obbligatoria", 
"Istruzione, sanit ed altri servizi sociali", 
"Altri servizi collettivi e personali")) 


CAT5_Fact <- factor(DF_RCFL_A2016$CAT5, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Agricoltura", 
"Industria in senso stretto", 
"Costruzioni", 
"Commercio", 
"Altre attivit dei servizi")) 


CAT3_Fact <- factor(DF_RCFL_A2016$CAT3, 
levels=c("1", 
"2", 
"3"), 
labels=c("Agricoltura", 
"Industria", 
"Servizi")) 


LAVSPE_Fact <- factor(DF_RCFL_A2016$LAVSPE, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Nel comune di residenza", 
"Altro comune della stessa provincia", 
"Altra provincia nella stessa regione", 
"Altra regione", 
"All estero")) 


REGSPE_Fact <- factor(DF_RCFL_A2016$REGSPE, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Trentino alto Adige", 
"Veneto", 
"Friuli Venezia Giulia", 
"Liguria", 
"Emilia Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


PROSPE_Fact <- factor(DF_RCFL_A2016$PROSPE, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"041", 
"042", 
"043", 
"044", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"054", 
"055", 
"056", 
"057", 
"058", 
"059", 
"060", 
"061", 
"062", 
"063", 
"064", 
"065", 
"066", 
"067", 
"068", 
"069", 
"070", 
"071", 
"072", 
"073", 
"074", 
"075", 
"076", 
"077", 
"078", 
"079", 
"080", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"093", 
"094", 
"095", 
"096", 
"097", 
"098", 
"099", 
"100", 
"101", 
"102", 
"103", 
"104", 
"105", 
"106", 
"107", 
"108", 
"109", 
"110"), 
labels=c("TORINO", 
"VERCELLI", 
"NOVARA", 
"CUNEO", 
"ASTI", 
"ALESSANDRIA", 
"AOSTA", 
"IMPERIA", 
"SAVONA", 
"GENOVA", 
"LA SPEZIA", 
"VARESE", 
"COMO", 
"SONDRIO", 
"MILANO", 
"BERGAMO", 
"BRESCIA", 
"PAVIA", 
"CREMONA", 
"MANTOVA", 
"BOLZANO", 
"TRENTO", 
"VERONA", 
"VICENZA", 
"BELLUNO", 
"TREVISO", 
"VENEZIA", 
"PADOVA", 
"ROVIGO", 
"UDINE", 
"GORIZIA", 
"TRIESTE", 
"PIACENZA", 
"PARMA", 
"REGGIO NELL'EMILIA", 
"MODENA", 
"BOLOGNA", 
"FERRARA", 
"RAVENNA", 
"FORLI' - CESENA", 
"PESARO E URBINO", 
"ANCONA", 
"MACERATA", 
"ASCOLI PICENO", 
"MASSA", 
"LUCCA", 
"PISTOIA", 
"FIRENZE", 
"LIVORNO", 
"PISA", 
"AREZZO", 
"SIENA", 
"GROSSETO", 
"PERUGIA", 
"TERNI", 
"VITERBO", 
"RIETI", 
"ROMA", 
"LATINA", 
"FROSINONE", 
"CASERTA", 
"BENEVENTO", 
"NAPOLI", 
"AVELLINO", 
"SALERNO", 
"L'AQUILA", 
"TERAMO", 
"PESCARA", 
"CHIETI", 
"CAMPOBASSO", 
"FOGGIA", 
"BARI", 
"TARANTO", 
"BRINDISI", 
"LECCE", 
"POTENZA", 
"MATERA", 
"COSENZA", 
"CATANZARO", 
"REGGIO DI CALABRIA", 
"TRAPANI", 
"PALERMO", 
"MESSINA", 
"AGRIGENTO", 
"CALTANISSETTA", 
"ENNA", 
"CATANIA", 
"RAGUSA", 
"SIRACUSA", 
"SASSARI", 
"NUORO", 
"CAGLIARI", 
"PORDENONE", 
"ISERNIA", 
"ORISTANO", 
"BIELLA", 
"LECCO", 
"LODI", 
"RIMINI", 
"PRATO", 
"CROTONE", 
"VIBO VALENTIA", 
"VERBANO-CUSIO-OSSOLA", 
"OLBIA-TEMPIO", 
"OGLIASTRA", 
"MEDIO-CAMPIDANO", 
"CARBONIA-IGLESIAS", 
"MONZA E BRIANZA", 
"FERMO", 
"BARLETTA-ANDRIA-TRANI")) 


TRACOM_Fact <- factor(DF_RCFL_A2016$TRACOM, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"997"), 
labels=c("Si, da altro comune della stessa provincia", 
"Si, da altra provincia della stessa regione", 
"Si, da altra regione", 
"Si, dall estero", 
"No", 
"Si, ma poi  tornato nella provincia di residenza", 
"Non sa")) 


REGTRA_Fact <- factor(DF_RCFL_A2016$REGTRA, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Trentino alto Adige", 
"Veneto", 
"Friuli Venezia Giulia", 
"Liguria", 
"Emilia Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


PROTRA_Fact <- factor(DF_RCFL_A2016$PROTRA, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"041", 
"042", 
"043", 
"044", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"054", 
"055", 
"056", 
"057", 
"058", 
"059", 
"060", 
"061", 
"062", 
"063", 
"064", 
"065", 
"066", 
"067", 
"068", 
"069", 
"070", 
"071", 
"072", 
"073", 
"074", 
"075", 
"076", 
"077", 
"078", 
"079", 
"080", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"093", 
"094", 
"095", 
"096", 
"097", 
"098", 
"099", 
"100", 
"101", 
"102", 
"103", 
"104", 
"105", 
"106", 
"107", 
"108", 
"109", 
"110"), 
labels=c("TORINO", 
"VERCELLI", 
"NOVARA", 
"CUNEO", 
"ASTI", 
"ALESSANDRIA", 
"AOSTA", 
"IMPERIA", 
"SAVONA", 
"GENOVA", 
"LA SPEZIA", 
"VARESE", 
"COMO", 
"SONDRIO", 
"MILANO", 
"BERGAMO", 
"BRESCIA", 
"PAVIA", 
"CREMONA", 
"MANTOVA", 
"BOLZANO", 
"TRENTO", 
"VERONA", 
"VICENZA", 
"BELLUNO", 
"TREVISO", 
"VENEZIA", 
"PADOVA", 
"ROVIGO", 
"UDINE", 
"GORIZIA", 
"TRIESTE", 
"PIACENZA", 
"PARMA", 
"REGGIO NELL'EMILIA", 
"MODENA", 
"BOLOGNA", 
"FERRARA", 
"RAVENNA", 
"FORLI' - CESENA", 
"PESARO E URBINO", 
"ANCONA", 
"MACERATA", 
"ASCOLI PICENO", 
"MASSA", 
"LUCCA", 
"PISTOIA", 
"FIRENZE", 
"LIVORNO", 
"PISA", 
"AREZZO", 
"SIENA", 
"GROSSETO", 
"PERUGIA", 
"TERNI", 
"VITERBO", 
"RIETI", 
"ROMA", 
"LATINA", 
"FROSINONE", 
"CASERTA", 
"BENEVENTO", 
"NAPOLI", 
"AVELLINO", 
"SALERNO", 
"L'AQUILA", 
"TERAMO", 
"PESCARA", 
"CHIETI", 
"CAMPOBASSO", 
"FOGGIA", 
"BARI", 
"TARANTO", 
"BRINDISI", 
"LECCE", 
"POTENZA", 
"MATERA", 
"COSENZA", 
"CATANZARO", 
"REGGIO DI CALABRIA", 
"TRAPANI", 
"PALERMO", 
"MESSINA", 
"AGRIGENTO", 
"CALTANISSETTA", 
"ENNA", 
"CATANIA", 
"RAGUSA", 
"SIRACUSA", 
"SASSARI", 
"NUORO", 
"CAGLIARI", 
"PORDENONE", 
"ISERNIA", 
"ORISTANO", 
"BIELLA", 
"LECCO", 
"LODI", 
"RIMINI", 
"PRATO", 
"CROTONE", 
"VIBO VALENTIA", 
"VERBANO-CUSIO-OSSOLA", 
"OLBIA-TEMPIO", 
"OGLIASTRA", 
"MEDIO-CAMPIDANO", 
"CARBONIA-IGLESIAS", 
"MONZA E BRIANZA", 
"FERMO", 
"BARLETTA-ANDRIA-TRANI")) 


INCDEC_Fact <- factor(DF_RCFL_A2016$INCDEC, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"99"), 
labels=c("Decile 1", 
"Decile 2", 
"Decile 3", 
"Decile 4", 
"Decile 5", 
"Decile 6", 
"Decile 7", 
"Decile 8", 
"Decile 9", 
"Decile 10", 
"Not applicable")) 


DIPAUS_Fact <- factor(DF_RCFL_A2016$DIPAUS, 
levels=c("1", 
"2", 
"3"), 
labels=c("dipendente", 
"collaboratore", 
"autonomo")) 


DIPINS_Fact <- factor(DF_RCFL_A2016$DIPINS, 
levels=c("1", 
"2"), 
labels=c("Dipendente", 
"Indipendente")) 


PROF1S_Fact <- factor(DF_RCFL_A2016$PROF1S, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("LEGISLATORI, IMPRENDITORI E ALTA DIRIGENZA", 
"PROFESSIONI INTELLETTUALI, SCIENTIFICHE E DI ELEVATA SPECIALIZZAZIONE", 
"PROFESSIONI TECNICHE", 
"PROFESSIONI ESECUTIVE NEL LAVORO D'UFFICIO", 
"PROFESSIONI QUALIFICATE NELLE ATTIVITA' COMMERCIALI E NEI SERVIZI", 
"ARTIGIANI, OPERAI SPECIALIZZATI E AGRICOLTORI", 
"CONDUTTORI DI IMPIANTI, OPERAI DI MACCHINARI FISSI E MOBILI E CONDUCENTI DI VEICOLI", 
"PROFESSIONI NON QUALIFICATE", 
"FORZE ARMATE")) 


ATE2DS_Fact <- factor(DF_RCFL_A2016$ATE2DS, 
levels=c("01", 
"02", 
"03", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"27", 
"28", 
"29", 
"30", 
"31", 
"32", 
"33", 
"35", 
"36", 
"37", 
"38", 
"39", 
"41", 
"42", 
"43", 
"45", 
"46", 
"47", 
"49", 
"50", 
"51", 
"52", 
"53", 
"55", 
"56", 
"58", 
"59", 
"60", 
"61", 
"62", 
"63", 
"64", 
"65", 
"66", 
"68", 
"69", 
"70", 
"71", 
"72", 
"73", 
"74", 
"75", 
"77", 
"78", 
"79", 
"80", 
"81", 
"82", 
"84", 
"85", 
"86", 
"87", 
"88", 
"90", 
"91", 
"92", 
"93", 
"94", 
"95", 
"96", 
"97", 
"98", 
"99"), 
labels=c("coltivazioni agricole e produzione di prodotti animali, caccia e servizi connessi", 
"silvicoltura ed utilizzo di aree forestali", 
"pesca e acquacoltura", 
"estrazione di carbone (esclusa torba)", 
"estrazione di petrolio greggio e di gas naturale", 
"estrazione di minerali metalliferi", 
"altre attivit di estrazione di minerali da cave e miniere", 
"attivit dei servizi di supporto all'estrazione", 
"industrie alimentari", 
"industria delle bevande", 
"industria del tabacco", 
"industrie tessili", 
"confezione di articoli di abbigliamento; confezione di articoli in pelle e pelliccia", 
"fabbricazione di articoli in pelle e simili", 
"industria del legno e dei prodotti in legno e sughero (esclusi i mobili); fabbricazione di articoli in paglia e materiali da intreccio", 
"fabbricazione di carta e di prodotti di carta", 
"stampa e riproduzione di supporti registrati", 
"fabbricazione di coke e prodotti derivanti dalla raffinazione del petrolio", 
"fabbricazione di prodotti chimici", 
"fabbricazione di prodotti farmaceutici di base e di preparati farmaceutici", 
"fabbricazione di articoli in gomma e materie plastiche", 
"fabbricazione di altri prodotti della lavorazione di minerali non metalliferi", 
"metallurgia", 
"fabbricazione di prodotti in metallo (esclusi macchinari e attrezzature)", 
"fabbricazione di computer e prodotti di elettronica  e ottica; apparecchi elettromedicali, apparecchi di misurazione e di orologi", 
"fabbricazione di apparecchiature elettriche ed apparecchiature per uso domestico non elettriche", 
"fabbricazione di macchinari ed apparecchiature nca", 
"fabbricazione di autoveicoli, rimorchi e semirimorchi", 
"fabbricazione di altri mezzi di trasporto", 
"fabbricazione di mobili", 
"altre industrie manifatturiere", 
"riparazione, manutenzione ed installazione di macchine ed apparecchiature", 
"fornitura di energia elettrica, gas, vapore e aria condizionata", 
"raccolta, trattamento e fornitura di acqua", 
"gestione delle reti fognarie", 
"attivit di raccolta, trattamento e smaltimento dei rifiuti; recupero dei materiali", 
"attivit di risanamento e altri servizi di gestione dei rifiuti", 
"costruzione di edifici", 
"ingegneria civile", 
"lavori di costruzione specializzati", 
"commercio all'ingrosso e al dettaglio e riparazione di autoveicoli e motocicli", 
"commercio all'ingrosso (escluso quello di autoveicoli e di motocicli)", 
"commercio al dettaglio (escluso quello di autoveicoli e di motocicli)", 
"trasporto terrestre e trasporto mediante condotte", 
"trasporto marittimo e per vie d'acqua", 
"trasporto aereo", 
"magazzinaggio e attivit di supporto ai trasporti", 
"servizi postali e attivit di corriere", 
"alloggio", 
"attivit dei servizi di ristorazione", 
"attivit editoriali", 
"attivit di produzione cinematografica, di video e di programmi televisivi, di registrazioni musicali e sonore", 
"attivit di programmazione e trasmissione", 
"telecomunicazioni", 
"produzione di software, consulenza informatica e attivit connesse", 
"attivit dei servizi d'informazione e altri servizi informatici", 
"attivit di servizi finanziari (escluse le assicurazioni e i fondi pensione)", 
"assicurazioni, riassicurazioni e fondi pensione (escluse le assicurazioni sociali obbligatorie)", 
"attivit ausiliarie dei servizi finanziari e delle attivit assicurative", 
"attivit immobiliari", 
"attivit legali e contabilit", 
"attivit di direzione aziendale e di consulenza gestionale", 
"attivit degli studi di architettura e d'ingegneria; collaudi ed analisi tecniche", 
"ricerca scientifica e sviluppo", 
"pubblicit e ricerche di mercato", 
"altre attivit professionali, scientifiche e tecniche", 
"servizi veterinari", 
"attivit di noleggio e leasing operativo", 
"attivit di ricerca, selezione, fornitura di personale", 
"attivit dei servizi delle agenzie di viaggio, dei tour operator e servizi di prenotazione e attivit connesse", 
"servizi di vigilanza e investigazione", 
"attivit di servizi per edifici e paesaggio", 
"attivit di supporto per le funzioni d'ufficio e altri servizi di supporto alle imprese", 
"amministrazione pubblica e difesa; assicurazione sociale obbligatoria", 
"istruzione", 
"assistenza sanitaria", 
"servizi di assistenza sociale residenziale", 
"assistenza sociale non residenziale", 
"attivit creative, artistiche e di intrattenimento", 
"attivit di biblioteche, archivi, musei ed altre attivit culturali", 
"attivit riguardanti le lotterie, le scommesse, le case da gioco", 
"attivit sportive, di intrattenimento e di divertimento", 
"attivit di organizzazioni associative", 
"riparazione di computer e di beni per uso personale e per la casa", 
"altre attivit di servizi per la persona", 
"attivit di famiglie e convivenze come datori di lavoro per personale domestico", 
"produzione di beni e servizi indifferenziati  per uso proprio da parte di  famiglie e convivenze", 
"organizzazioni ed organismi extraterritoriali")) 


CAT12S_Fact <- factor(DF_RCFL_A2016$CAT12S, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12"), 
labels=c("Agricoltura, silvicoltura e pesca", 
"Industria in senso stretto", 
"Costruzioni", 
"Commercio", 
"Alberghi e ristoranti", 
"Trasporto e immagazzinaggio", 
"Servizi di informazione e comunicazione", 
"Attivit finanziarie e assicurative", 
"Attivit immobiliari, servizi alle imprese e altre attivit professionali e imprenditoriali", 
"Amministrazione pubblica e difesa assicurazione sociale obbligatoria", 
"Istruzione, sanit ed altri servizi sociali", 
"Altri servizi collettivi e personali")) 


CAT5S_Fact <- factor(DF_RCFL_A2016$CAT5S, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Agricoltura", 
"Industria in senso stretto", 
"Costruzioni", 
"Commercio", 
"Altre attivit")) 


CAT3S_Fact <- factor(DF_RCFL_A2016$CAT3S, 
levels=c("1", 
"2", 
"3"), 
labels=c("Agricoltura", 
"Industria", 
"Terziario")) 


DIPAUE_Fact <- factor(DF_RCFL_A2016$DIPAUE, 
levels=c("1", 
"2", 
"3"), 
labels=c("dipendente", 
"collaboratore", 
"autonomo")) 


DIPINE_Fact <- factor(DF_RCFL_A2016$DIPINE, 
levels=c("1", 
"2"), 
labels=c("Dipendente", 
"Indipendente")) 


PROF1E_Fact <- factor(DF_RCFL_A2016$PROF1E, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("LEGISLATORI, IMPRENDITORI E ALTA DIRIGENZA", 
"PROFESSIONI INTELLETTUALI, SCIENTIFICHE E DI ELEVATA SPECIALIZZAZIONE", 
"PROFESSIONI TECNICHE", 
"PROFESSIONI ESECUTIVE NEL LAVORO D'UFFICIO", 
"PROFESSIONI QUALIFICATE NELLE ATTIVITA' COMMERCIALI E NEI SERVIZI", 
"ARTIGIANI, OPERAI SPECIALIZZATI E AGRICOLTORI", 
"CONDUTTORI DI IMPIANTI, OPERAI DI MACCHINARI FISSI E MOBILI E CONDUCENTI DI VEICOLI", 
"PROFESSIONI NON QUALIFICATE", 
"FORZE ARMATE")) 


ATE2DE_Fact <- factor(DF_RCFL_A2016$ATE2DE, 
levels=c("01", 
"02", 
"03", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"27", 
"28", 
"29", 
"30", 
"31", 
"32", 
"33", 
"35", 
"36", 
"37", 
"38", 
"39", 
"41", 
"42", 
"43", 
"45", 
"46", 
"47", 
"49", 
"50", 
"51", 
"52", 
"53", 
"55", 
"56", 
"58", 
"59", 
"60", 
"61", 
"62", 
"63", 
"64", 
"65", 
"66", 
"68", 
"69", 
"70", 
"71", 
"72", 
"73", 
"74", 
"75", 
"77", 
"78", 
"79", 
"80", 
"81", 
"82", 
"84", 
"85", 
"86", 
"87", 
"88", 
"90", 
"91", 
"92", 
"93", 
"94", 
"95", 
"96", 
"97", 
"98", 
"99"), 
labels=c("coltivazioni agricole e produzione di prodotti animali, caccia e servizi connessi", 
"silvicoltura ed utilizzo di aree forestali", 
"pesca e acquacoltura", 
"estrazione di carbone (esclusa torba)", 
"estrazione di petrolio greggio e di gas naturale", 
"estrazione di minerali metalliferi", 
"altre attivit di estrazione di minerali da cave e miniere", 
"attivit dei servizi di supporto all'estrazione", 
"industrie alimentari", 
"industria delle bevande", 
"industria del tabacco", 
"industrie tessili", 
"confezione di articoli di abbigliamento; confezione di articoli in pelle e pelliccia", 
"fabbricazione di articoli in pelle e simili", 
"industria del legno e dei prodotti in legno e sughero (esclusi i mobili); fabbricazione di articoli in paglia e materiali da intreccio", 
"fabbricazione di carta e di prodotti di carta", 
"stampa e riproduzione di supporti registrati", 
"fabbricazione di coke e prodotti derivanti dalla raffinazione del petrolio", 
"fabbricazione di prodotti chimici", 
"fabbricazione di prodotti farmaceutici di base e di preparati farmaceutici", 
"fabbricazione di articoli in gomma e materie plastiche", 
"fabbricazione di altri prodotti della lavorazione di minerali non metalliferi", 
"metallurgia", 
"fabbricazione di prodotti in metallo (esclusi macchinari e attrezzature)", 
"fabbricazione di computer e prodotti di elettronica  e ottica; apparecchi elettromedicali, apparecchi di misurazione e di orologi", 
"fabbricazione di apparecchiature elettriche ed apparecchiature per uso domestico non elettriche", 
"fabbricazione di macchinari ed apparecchiature nca", 
"fabbricazione di autoveicoli, rimorchi e semirimorchi", 
"fabbricazione di altri mezzi di trasporto", 
"fabbricazione di mobili", 
"altre industrie manifatturiere", 
"riparazione, manutenzione ed installazione di macchine ed apparecchiature", 
"fornitura di energia elettrica, gas, vapore e aria condizionata", 
"raccolta, trattamento e fornitura di acqua", 
"gestione delle reti fognarie", 
"attivit di raccolta, trattamento e smaltimento dei rifiuti; recupero dei materiali", 
"attivit di risanamento e altri servizi di gestione dei rifiuti", 
"costruzione di edifici", 
"ingegneria civile", 
"lavori di costruzione specializzati", 
"commercio all'ingrosso e al dettaglio e riparazione di autoveicoli e motocicli", 
"commercio all'ingrosso (escluso quello di autoveicoli e di motocicli)", 
"commercio al dettaglio (escluso quello di autoveicoli e di motocicli)", 
"trasporto terrestre e trasporto mediante condotte", 
"trasporto marittimo e per vie d'acqua", 
"trasporto aereo", 
"magazzinaggio e attivit di supporto ai trasporti", 
"servizi postali e attivit di corriere", 
"alloggio", 
"attivit dei servizi di ristorazione", 
"attivit editoriali", 
"attivit di produzione cinematografica, di video e di programmi televisivi, di registrazioni musicali e sonore", 
"attivit di programmazione e trasmissione", 
"telecomunicazioni", 
"produzione di software, consulenza informatica e attivit connesse", 
"attivit dei servizi d'informazione e altri servizi informatici", 
"attivit di servizi finanziari (escluse le assicurazioni e i fondi pensione)", 
"assicurazioni, riassicurazioni e fondi pensione (escluse le assicurazioni sociali obbligatorie)", 
"attivit ausiliarie dei servizi finanziari e delle attivit assicurative", 
"attivit immobiliari", 
"attivit legali e contabilit", 
"attivit di direzione aziendale e di consulenza gestionale", 
"attivit degli studi di architettura e d'ingegneria; collaudi ed analisi tecniche", 
"ricerca scientifica e sviluppo", 
"pubblicit e ricerche di mercato", 
"altre attivit professionali, scientifiche e tecniche", 
"servizi veterinari", 
"attivit di noleggio e leasing operativo", 
"attivit di ricerca, selezione, fornitura di personale", 
"attivit dei servizi delle agenzie di viaggio, dei tour operator e servizi di prenotazione e attivit connesse", 
"servizi di vigilanza e investigazione", 
"attivit di servizi per edifici e paesaggio", 
"attivit di supporto per le funzioni d'ufficio e altri servizi di supporto alle imprese", 
"amministrazione pubblica e difesa; assicurazione sociale obbligatoria", 
"istruzione", 
"assistenza sanitaria", 
"servizi di assistenza sociale residenziale", 
"assistenza sociale non residenziale", 
"attivit creative, artistiche e di intrattenimento", 
"attivit di biblioteche, archivi, musei ed altre attivit culturali", 
"attivit riguardanti le lotterie, le scommesse, le case da gioco", 
"attivit sportive, di intrattenimento e di divertimento", 
"attivit di organizzazioni associative", 
"riparazione di computer e di beni per uso personale e per la casa", 
"altre attivit di servizi per la persona", 
"attivit di famiglie e convivenze come datori di lavoro per personale domestico", 
"produzione di beni e servizi indifferenziati  per uso proprio da parte di  famiglie e convivenze", 
"organizzazioni ed organismi extraterritoriali")) 


CAT12E_Fact <- factor(DF_RCFL_A2016$CAT12E, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12"), 
labels=c("Agricoltura, silvicoltura e pesca", 
"Industria in senso stretto", 
"Costruzioni", 
"Commercio", 
"Alberghi e ristoranti", 
"Trasporto e immagazzinaggio", 
"Servizi di informazione e comunicazione", 
"Attivit finanziarie e assicurative", 
"Attivit immobiliari, servizi alle imprese e altre attivit professionali e imprenditoriali", 
"Amministrazione pubblica e difesa assicurazione sociale obbligatoria", 
"Istruzione, sanit ed altri servizi sociali", 
"Altri servizi collettivi e personali")) 


CAT5E_Fact <- factor(DF_RCFL_A2016$CAT5E, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Agricoltura", 
"Industria in senso stretto", 
"Costruzioni", 
"Commercio", 
"Altre attivit")) 


CAT3E_Fact <- factor(DF_RCFL_A2016$CAT3E, 
levels=c("1", 
"2", 
"3"), 
labels=c("Agricoltura", 
"Industria", 
"Terziario")) 


DIPAUA_Fact <- factor(DF_RCFL_A2016$DIPAUA, 
levels=c("1", 
"2", 
"3"), 
labels=c("dipendente", 
"collaboratore", 
"autonomo")) 


DIPINA_Fact <- factor(DF_RCFL_A2016$DIPINA, 
levels=c("1", 
"2"), 
labels=c("Dipendente", 
"Indipendente")) 


DIPAUP_Fact <- factor(DF_RCFL_A2016$DIPAUP, 
levels=c("1", 
"2", 
"3"), 
labels=c("dipendente", 
"collaboratore", 
"autonomo")) 


DIPINP_Fact <- factor(DF_RCFL_A2016$DIPINP, 
levels=c("1", 
"2"), 
labels=c("Dipendente", 
"Indipendente")) 


ATE2DP_Fact <- factor(DF_RCFL_A2016$ATE2DP, 
levels=c("01", 
"02", 
"03", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"27", 
"28", 
"29", 
"30", 
"31", 
"32", 
"33", 
"35", 
"36", 
"37", 
"38", 
"39", 
"41", 
"42", 
"43", 
"45", 
"46", 
"47", 
"49", 
"50", 
"51", 
"52", 
"53", 
"55", 
"56", 
"58", 
"59", 
"60", 
"61", 
"62", 
"63", 
"64", 
"65", 
"66", 
"68", 
"69", 
"70", 
"71", 
"72", 
"73", 
"74", 
"75", 
"77", 
"78", 
"79", 
"80", 
"81", 
"82", 
"84", 
"85", 
"86", 
"87", 
"88", 
"90", 
"91", 
"92", 
"93", 
"94", 
"95", 
"96", 
"97", 
"98", 
"99"), 
labels=c("coltivazioni agricole e produzione di prodotti animali, caccia e servizi connessi", 
"silvicoltura ed utilizzo di aree forestali", 
"pesca e acquacoltura", 
"estrazione di carbone (esclusa torba)", 
"estrazione di petrolio greggio e di gas naturale", 
"estrazione di minerali metalliferi", 
"altre attivit di estrazione di minerali da cave e miniere", 
"attivit dei servizi di supporto all'estrazione", 
"industrie alimentari", 
"industria delle bevande", 
"industria del tabacco", 
"industrie tessili", 
"confezione di articoli di abbigliamento; confezione di articoli in pelle e pelliccia", 
"fabbricazione di articoli in pelle e simili", 
"industria del legno e dei prodotti in legno e sughero (esclusi i mobili); fabbricazione di articoli in paglia e materiali da intreccio", 
"fabbricazione di carta e di prodotti di carta", 
"stampa e riproduzione di supporti registrati", 
"fabbricazione di coke e prodotti derivanti dalla raffinazione del petrolio", 
"fabbricazione di prodotti chimici", 
"fabbricazione di prodotti farmaceutici di base e di preparati farmaceutici", 
"fabbricazione di articoli in gomma e materie plastiche", 
"fabbricazione di altri prodotti della lavorazione di minerali non metalliferi", 
"metallurgia", 
"fabbricazione di prodotti in metallo (esclusi macchinari e attrezzature)", 
"fabbricazione di computer e prodotti di elettronica  e ottica; apparecchi elettromedicali, apparecchi di misurazione e di orologi", 
"fabbricazione di apparecchiature elettriche ed apparecchiature per uso domestico non elettriche", 
"fabbricazione di macchinari ed apparecchiature nca", 
"fabbricazione di autoveicoli, rimorchi e semirimorchi", 
"fabbricazione di altri mezzi di trasporto", 
"fabbricazione di mobili", 
"altre industrie manifatturiere", 
"riparazione, manutenzione ed installazione di macchine ed apparecchiature", 
"fornitura di energia elettrica, gas, vapore e aria condizionata", 
"raccolta, trattamento e fornitura di acqua", 
"gestione delle reti fognarie", 
"attivit di raccolta, trattamento e smaltimento dei rifiuti; recupero dei materiali", 
"attivit di risanamento e altri servizi di gestione dei rifiuti", 
"costruzione di edifici", 
"ingegneria civile", 
"lavori di costruzione specializzati", 
"commercio all'ingrosso e al dettaglio e riparazione di autoveicoli e motocicli", 
"commercio all'ingrosso (escluso quello di autoveicoli e di motocicli)", 
"commercio al dettaglio (escluso quello di autoveicoli e di motocicli)", 
"trasporto terrestre e trasporto mediante condotte", 
"trasporto marittimo e per vie d'acqua", 
"trasporto aereo", 
"magazzinaggio e attivit di supporto ai trasporti", 
"servizi postali e attivit di corriere", 
"alloggio", 
"attivit dei servizi di ristorazione", 
"attivit editoriali", 
"attivit di produzione cinematografica, di video e di programmi televisivi, di registrazioni musicali e sonore", 
"attivit di programmazione e trasmissione", 
"telecomunicazioni", 
"produzione di software, consulenza informatica e attivit connesse", 
"attivit dei servizi d'informazione e altri servizi informatici", 
"attivit di servizi finanziari (escluse le assicurazioni e i fondi pensione)", 
"assicurazioni, riassicurazioni e fondi pensione (escluse le assicurazioni sociali obbligatorie)", 
"attivit ausiliarie dei servizi finanziari e delle attivit assicurative", 
"attivit immobiliari", 
"attivit legali e contabilit", 
"attivit di direzione aziendale e di consulenza gestionale", 
"attivit degli studi di architettura e d'ingegneria; collaudi ed analisi tecniche", 
"ricerca scientifica e sviluppo", 
"pubblicit e ricerche di mercato", 
"altre attivit professionali, scientifiche e tecniche", 
"servizi veterinari", 
"attivit di noleggio e leasing operativo", 
"attivit di ricerca, selezione, fornitura di personale", 
"attivit dei servizi delle agenzie di viaggio, dei tour operator e servizi di prenotazione e attivit connesse", 
"servizi di vigilanza e investigazione", 
"attivit di servizi per edifici e paesaggio", 
"attivit di supporto per le funzioni d'ufficio e altri servizi di supporto alle imprese", 
"amministrazione pubblica e difesa; assicurazione sociale obbligatoria", 
"istruzione", 
"assistenza sanitaria", 
"servizi di assistenza sociale residenziale", 
"assistenza sociale non residenziale", 
"attivit creative, artistiche e di intrattenimento", 
"attivit di biblioteche, archivi, musei ed altre attivit culturali", 
"attivit riguardanti le lotterie, le scommesse, le case da gioco", 
"attivit sportive, di intrattenimento e di divertimento", 
"attivit di organizzazioni associative", 
"riparazione di computer e di beni per uso personale e per la casa", 
"altre attivit di servizi per la persona", 
"attivit di famiglie e convivenze come datori di lavoro per personale domestico", 
"produzione di beni e servizi indifferenziati  per uso proprio da parte di  famiglie e convivenze", 
"organizzazioni ed organismi extraterritoriali")) 


CAT12P_Fact <- factor(DF_RCFL_A2016$CAT12P, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12"), 
labels=c("Agricoltura, silvicoltura e pesca", 
"Industria in senso stretto", 
"Costruzioni", 
"Commercio", 
"Alberghi e ristoranti", 
"Trasporto e immagazzinaggio", 
"Servizi di informazione e comunicazione", 
"Attivit finanziarie e assicurative", 
"Attivit immobiliari, servizi alle imprese e altre attivit professionali e imprenditoriali", 
"Amministrazione pubblica e difesa assicurazione sociale obbligatoria", 
"Istruzione, sanit ed altri servizi sociali", 
"Altri servizi collettivi e personali")) 


CAT5P_Fact <- factor(DF_RCFL_A2016$CAT5P, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Agricoltura", 
"Industria in senso stretto", 
"Costruzioni", 
"Commercio", 
"Altre attivit")) 


CAT3P_Fact <- factor(DF_RCFL_A2016$CAT3P, 
levels=c("1", 
"2", 
"3"), 
labels=c("Agricoltura", 
"Industria", 
"Terziario")) 


DOVRIS_Fact <- factor(DF_RCFL_A2016$DOVRIS, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("In altro comune della stessa provincia", 
"In altra provincia nella stessa regione", 
"In altra regione", 
"All estero")) 


REGPRE_Fact <- factor(DF_RCFL_A2016$REGPRE, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Trentino alto Adige", 
"Veneto", 
"Friuli Venezia Giulia", 
"Liguria", 
"Emilia Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


PROPRE_Fact <- factor(DF_RCFL_A2016$PROPRE, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"041", 
"042", 
"043", 
"044", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"054", 
"055", 
"056", 
"057", 
"058", 
"059", 
"060", 
"061", 
"062", 
"063", 
"064", 
"065", 
"066", 
"067", 
"068", 
"069", 
"070", 
"071", 
"072", 
"073", 
"074", 
"075", 
"076", 
"077", 
"078", 
"079", 
"080", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"093", 
"094", 
"095", 
"096", 
"097", 
"098", 
"099", 
"100", 
"101", 
"102", 
"103", 
"104", 
"105", 
"106", 
"107", 
"108", 
"109", 
"110"), 
labels=c("TORINO", 
"VERCELLI", 
"NOVARA", 
"CUNEO", 
"ASTI", 
"ALESSANDRIA", 
"AOSTA", 
"IMPERIA", 
"SAVONA", 
"GENOVA", 
"LA SPEZIA", 
"VARESE", 
"COMO", 
"SONDRIO", 
"MILANO", 
"BERGAMO", 
"BRESCIA", 
"PAVIA", 
"CREMONA", 
"MANTOVA", 
"BOLZANO", 
"TRENTO", 
"VERONA", 
"VICENZA", 
"BELLUNO", 
"TREVISO", 
"VENEZIA", 
"PADOVA", 
"ROVIGO", 
"UDINE", 
"GORIZIA", 
"TRIESTE", 
"PIACENZA", 
"PARMA", 
"REGGIO NELL'EMILIA", 
"MODENA", 
"BOLOGNA", 
"FERRARA", 
"RAVENNA", 
"FORLI' - CESENA", 
"PESARO E URBINO", 
"ANCONA", 
"MACERATA", 
"ASCOLI PICENO", 
"MASSA", 
"LUCCA", 
"PISTOIA", 
"FIRENZE", 
"LIVORNO", 
"PISA", 
"AREZZO", 
"SIENA", 
"GROSSETO", 
"PERUGIA", 
"TERNI", 
"VITERBO", 
"RIETI", 
"ROMA", 
"LATINA", 
"FROSINONE", 
"CASERTA", 
"BENEVENTO", 
"NAPOLI", 
"AVELLINO", 
"SALERNO", 
"L'AQUILA", 
"TERAMO", 
"PESCARA", 
"CHIETI", 
"CAMPOBASSO", 
"FOGGIA", 
"BARI", 
"TARANTO", 
"BRINDISI", 
"LECCE", 
"POTENZA", 
"MATERA", 
"COSENZA", 
"CATANZARO", 
"REGGIO DI CALABRIA", 
"TRAPANI", 
"PALERMO", 
"MESSINA", 
"AGRIGENTO", 
"CALTANISSETTA", 
"ENNA", 
"CATANIA", 
"RAGUSA", 
"SIRACUSA", 
"SASSARI", 
"NUORO", 
"CAGLIARI", 
"PORDENONE", 
"ISERNIA", 
"ORISTANO", 
"BIELLA", 
"LECCO", 
"LODI", 
"RIMINI", 
"PRATO", 
"CROTONE", 
"VIBO VALENTIA", 
"VERBANO-CUSIO-OSSOLA", 
"OLBIA-TEMPIO", 
"OGLIASTRA", 
"MEDIO-CAMPIDANO", 
"CARBONIA-IGLESIAS", 
"MONZA E BRIANZA", 
"FERMO", 
"BARLETTA-ANDRIA-TRANI")) 


ESPLAV_Fact <- factor(DF_RCFL_A2016$ESPLAV, 
levels=c("1", 
"2"), 
labels=c("ha precedenti esperienze lavorative", 
"non ha precedenti esperienze lavorative")) 


HATLEV_Fact <- factor(DF_RCFL_A2016$HATLEV, 
levels=c("   ", 
"000", 
"100", 
"200", 
"300", 
"302", 
"303", 
"304", 
"400", 
"500", 
"600", 
"700", 
"800", 
"999"), 
labels=c("(blank) No answer", 
"No formal education or below ISCED 1", 
"ISCED 1", 
"ISCED 2 (incl. ISCED 3 programmes of duration less than 2 years)", 
"ISCED 3 programme of duration of 2 years and more, without possible distinction of access to other ISCED levels", 
"ISCED 3 programme duration of 2 years and more, sequential (i.e. access to next ISCED 3 programme only)", 
"ISCED 3 programme duration of 2 years and more, terminal or access to ISCED 4 only", 
"ISCED 3 with access to ISCED 5, 6 or 7", 
"ISCED 4", 
"ISCED 5", 
"ISCED 6", 
"ISCED 7", 
"ISCED 8", 
"Not applicable (child less than 15 years)")) 


STACIM_Fact <- factor(DF_RCFL_A2016$STACIM, 
levels=c("1", 
"2", 
"3", 
"6"), 
labels=c("Celibe/ nubile", 
"Coniugato/a", 
"Separato/a o divorziato/a", 
"Vedovo/a")) 


RELPAR_Fact <- factor(DF_RCFL_A2016$RELPAR, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17"), 
labels=c("Persona di riferimento (PR)", 
"Coniuge di NOME DI PR", 
"Convivente di  NOME DI PR", 
"Genitore (coniuge del genitore, convivente del genitore) di NOME DI PR", 
"Genitore (coniuge del genitore, convivente del genitore) del coniuge o del convivente di NOME DI PR (Suocero/a)", 
"Figlio di NOME DI PR nato dall'ultimo matrimonio (o convivenza)", 
"Figlio di NOME DI PR o del coniuge o del convivente nato da precedente matrimonio o convivenza", 
"Coniuge del figlio di NOME DI PR (o del coniuge o convivente di NOME DI PR) (Genero/Nuora)", 
"Convivente del figlio di NOME DI PR (o del coniuge o convivente di NOME DI PR)", 
"Nipote (= figlio del figlio) di NOME DI PR (o del coniuge o convivente di NOME DI PR)", 
"Nipote (= figlio del fratello/sorella) di NOME DI PR (o del coniuge o convivente di NOME DI PR)", 
"Fratello/sorella di NOME DI PR", 
"Fratello/sorella del coniuge o convivente di NOME DI PR (Cognato/a)", 
"Coniuge del fratello/sorella di PR (o del coniuge o convivente di NOME DI PR) (Cognato/a)", 
"Convivente del fratello/sorella di PR (o del coniuge o convivente di NOME DI PR)", 
"Altro parente di PR (o del coniuge o convivente di NOME DI PR)", 
"Altra persona convivente non legata da vincoli di parentela")) 


RPN2_Fact <- factor(DF_RCFL_A2016$RPN2, 
levels=c("0", 
"1", 
"2", 
"3"), 
labels=c("Persona singole", 
"Capo nucleo", 
"Coniuge o convivente del capo nucleo", 
"Figlio")) 


TFM_Fact <- factor(DF_RCFL_A2016$TFM, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"14", 
"15", 
"16", 
"17", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"28", 
"29", 
"30", 
"31", 
"33", 
"34", 
"35", 
"36", 
"37", 
"38", 
"39", 
"40", 
"41"), 
labels=c("Persona sola", 
"Genitore con figli non celibi o nubili", 
"Insieme di parenti", 
"Insieme di parenti pi altri", 
"Insieme di persone non parenti", 
"Coppia coniugate senza figli", 
"Coppia non coniugate senza figli", 
"Coppia coniugate con figli", 
"Coppia non coniugate con figli", 
"Genitore maschio celibe solo con figli", 
"Genitore maschio coniugato non convivente solo con figli", 
"Genitore maschio separato o divorziato solo con figli e senza persone isolate", 
"Genitore maschio vedovo solo con figli", 
"Genitore femmina nubile solo con figli", 
"Genitore femmina coniugata non convivente solo con figli", 
"Genitore femmina separata o divorziata solo con figli e persone isolate", 
"Genitore femmina vedova solo con figli", 
"Coppia coniugate senza figli", 
"Coppia non coniugate senza figli", 
"Coppia coniugate con figli", 
"Coppia non coniugate con figli", 
"Genitore maschio celibe solo con figli", 
"Genitore maschio coniugato non convivente solo con figli", 
"Genitore maschio separato / divorziato solo con figli e persone isolate", 
"Genitore maschio vedovo solo con figli", 
"Genitore femmina nubile solo con figli", 
"Genitore femmina coniugata non convivente solo con figli", 
"Genitore femmina separata / divorziata solo con figli e persone isolate", 
"Genitore femmina vedova solo con figli", 
"Con due generazioni", 
"Di tipo fraterno", 
"Binucleare di altro tipo", 
"Con due generazioni", 
"Di tipo fraterno", 
"Binucleare di altro tipo", 
"Senza altre persone", 
"Con altre persone")) 


TN2_Fact <- factor(DF_RCFL_A2016$TN2, 
levels=c("0", 
"1", 
"2", 
"3", 
"4"), 
labels=c("Persona isolata", 
"Coppia con figli", 
"Coppia senza figli", 
"Monogenitore maschio", 
"Monogenitore femmina")) 


TISTUD_Fact <- factor(DF_RCFL_A2016$TISTUD, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10"), 
labels=c("Nessun titolo", 
"Licenza elementare / Attestato di valutazione finale", 
"Licenza media (dall'anno 2007 denominata Diploma di Istruzione secondaria di I grado) o avviamento professionale (conseguito non oltre all'anno 1965)", 
"Diploma di qualifica professionale di scuola secondaria superiore (di II grado) di 2-3 anni che non permette  l'iscrizione all'Universit / Attestato IFP di qualifica professionale triennale (operatore) / Diploma professionale IFP di tecnico (quarto anno)", 
"Diploma di maturit / Diploma di istruzione secondaria  superiore (di II grado) di 4-5 anni che permette l'iscrizione  all'Universit / Certificato di specializzazione tecnica superiore  IFTS (dal 2000) / Diploma di tecnico superiore ITS (corsi  biennali)", 
"Diploma di Accademia (Belle Arti, Nazionale di arte  drammatica, Nazionale di Danza), Istituto superiore Industrie  artistiche, Conservatorio di musica statale, Istituto di Musica  Pareggiato", 
"Diploma universitario di due/tre anni,  Scuola diretta a fini  speciali, Scuola parauniversitaria", 
"Laurea di primo livello (triennale)", 
"Laurea specialistica/magistrale (biennale)", 
"Laurea di 4-6 anni: laurea del vecchio ordinamento o laurea specialistica/magistrale a ciclo unico")) 


EDULEV_Fact <- factor(DF_RCFL_A2016$EDULEV, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6"), 
labels=c("Nessun titolo", 
"Licenza elementare", 
"Licenza media", 
"Diploma 2-3", 
"Diploma 4-5", 
"Laurea")) 


COISTR_Fact <- factor(DF_RCFL_A2016$COISTR, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"07", 
"08", 
"09", 
"10", 
"11"), 
labels=c("Scuola elementare (scuola primaria)", 
"Scuola media (scuola secondaria di primo grado)", 
"Percorsi triennali o IV anno di istruzione e formazione professionale IFP", 
"Scuola secondaria di II grado di 5 anni / Percorsi di istruzione e formazione tecnica superiore IFTS / Istituti tecnici superiori ITS", 
"Conservatorio di musica, Istituto Musicale Pareggiato, Accademia di Belle Arti, Accademia di Danza, Accademia di arte drammatica, Istituto Superiore Industrie Artistiche e altri Istituti abilitati a rilasciare titoli di alta formazione artistica e musical", 
"Corso di Laurea di primo livello (triennale), Corso di Diploma universitario di due/tre anni, Scuola diretta a fini speciali, Scuola parauniversitaria", 
"Corso di Laurea specialistica/magistrale biennale", 
"Corso di Laurea di 4-6 anni: laurea del vecchio ordinamento o laurea specialistica/magistrale a ciclo unico", 
"Corso di specializzazione post-laurea o post-Diploma accademico AFAM (compresi master di 1 e 2 livello)", 
"Dottorato di ricerca o Corso di Diploma accademico di formazione alla ricerca AFAM")) 


EDUCST_Fact <- factor(DF_RCFL_A2016$EDUCST, 
levels=c(" ", 
"1", 
"2", 
"3", 
"9"), 
labels=c("(blank) No answer", 
"Has been a student or an apprentice", 
"Has not been a student or apprentice", 
"Person in regular education but on holiday", 
"Not applicable (child less than 15 years)")) 


COURAT_Fact <- factor(DF_RCFL_A2016$COURAT, 
levels=c(" ", 
"1", 
"2", 
"9"), 
labels=c("(blank) No answer", 
"Yes", 
"No", 
"Not applicable (child less than 15 years)")) 

save.image (file="DF_RCFL_A2016.RData")
